@format @format_levels @levels_course_settings @javascript
Feature: Check course settings workflow actions in levels format
  In I need to check workflow course settings actions in levels format
  Background:
    Given the following "users" exist:
      | username | firstname | lastname | email                |
      | teacher1 | Teacher   | 1        | teacher1@example.com |
      | student1 | Student   | 1        | student1@example.com |
    And the following "courses" exist:
      | fullname | shortname | format | numsections | Enable completion tracking |
      | Course 1 | C1        | levels | 8           | yes                        |
    And the following "activities" exist:
      | activity   | name                   | intro                         | course | idnumber    | section |
      | assign     | Test assignment name   | Test assignment description   | C1     | assign1     | 0       |
      | assign     | Test assignment name 1 | Test assignment1 description  | C1     | assign2     | 1       |
    And the following "course enrolments" exist:
      | user     | course | role                  |
      | teacher1 | C1     | editingteacher        |
      | student1 | C1     | student               |

  @_file_upload
  Scenario: Check the course levels background.
    Given I log in as "admin"
    And I navigate to "Plugins > Course formats > Levels format" in site administration
    Then I click on "Settings" "link"
    And I set the following fields to these values:
    | Max file size for course images | 3 mb |
    And I press "Save changes"
    Then I log out
    Given I log in as "teacher1"
    And I am on "Course 1" course homepage with editing mode on
    And I navigate to "Settings" in current page administration
    Then I follow "Expand all"
    And I upload "course/format/levels/tests/behat/assets/coursebg.jpg" file to "Course background image" filemanager
    And I click on "Save and display" "button"
    And I am on "Course 1" course homepage with editing mode on
    And "Setup Positions" "link" should not exist in the "#page-header" "css_element"
    Then I turn editing mode off
    And "Setup Positions" "link" should exist in the "#page-header" "css_element"
    Then I click on "Setup Positions" "link"
    Then I check coursebg "body#page-course-view-levels" must contain "C1" "coursebg.jpg"
    And I am on "Course 1" course homepage with editing mode on
    And I log out
    Then I log in as "student1"
    And I am on "Course 1" course homepage
    Then I check coursebg "body#page-course-view-levels" must contain "C1" "coursebg.jpg"
