@format @format_levels @levels_module_settings @_file_upload @javascript
Feature: Check other workflow module actions in levels format
  In I need to check module settings workflow actions in levels format
  Background:
    Given the following "users" exist:
      | username | firstname | lastname | email            |
      | teacher1 | Teacher   | 1        | teacher1@example.com |
      | student1 | Student   | First    | student1@example.com |
      | student2 | Student   | Second   | student2@example.com |
    And the following "courses" exist:
      | fullname | shortname | format | numsections | enablecompletion |
      | Course 1 | C1        | levels | 5           | 1                |
    And the following "activities" exist:
      | activity | name           | intro                   | course | idnumber | completion| section |
      | page     | Page1          | Page 1 description      | C1     | page1    |  1        | 1       |
      | page     | Page2          | Page 2 description      | C1     | pagei1   |  1        | 1       |
    And the following "course enrolments" exist:
      | user     | course | role                  |
      | teacher1 | C1     | editingteacher        |
      | student1 | C1     | student               |
    Given I log in as "teacher1"
    And I am on "Course 1" course homepage with editing mode on
    And I edit the section "1"
    Then I follow "Expand all"
    Then I set the field "Use activity images" to "Enable"
    And I click on "Save changes" "button"

  Scenario: Check the module levels background.
    And I am on "Course 1" course homepage with editing mode on
    When I open "Page1" actions menu
    And I click on "Edit settings" "link" in the "Page1" activity
    Then I follow "Expand all"
    And I upload "course/format/levels/tests/behat/assets/modavailable.svg" file to "Available image" filemanager
    And I click on "Save and return to course" "button"
    When I open "Page1" actions menu
    And I click on "Edit settings" "link" in the "Page1" activity
    Then I follow "Expand all"
    And I upload "course/format/levels/tests/behat/assets/modunavailable.png" file to "Unavailable image" filemanager
    And I press "Save and return to course"
    Then I open "Page1" actions menu
    And I click on "Edit settings" "link" in the "Page1" activity
    Then I follow "Expand all"
    And I upload "course/format/levels/tests/behat/assets/modcomplete.png" file to "Completed image" filemanager
    And I press "Save and return to course"
    Then I open "Page1" actions menu
    And I click on "Edit settings" "link" in the "Page1" activity
    Then I follow "Expand all"
    And I upload "course/format/levels/tests/behat/assets/modactivestate.svg" file to "Active state image" filemanager
    And I press "Save and return to course"
    Then I log out
    And I log in as "student1"
    And I am on "Course 1" course homepage
    And I follow "Level 1"
    Then the image at "ul .section li.activity div.activityiconcontainer img:nth-child(1)" "css_element" should be identical to "course/format/levels/tests/behat/assets/modavailable.svg"
    Then the image at "ul .section li.activity div.activityiconcontainer img:nth-child(2)" "css_element" should be identical to "course/format/levels/tests/behat/assets/modactivestate.svg"
    And I am on "Course 1" course homepage
    And I follow "Log out" in the user menu
    And I log in as "teacher1"
    And I am on "Course 1" course homepage with editing mode on
    When I open "Page1" actions menu
    And I click on "Edit settings" "link" in the "Page1" activity
    Then I follow "Expand all"
    And I upload "course/format/levels/tests/behat/assets/modnextavailable.png" file to "Next available image" filemanager
    And I press "Save and return to course"
    And I follow "Log out" in the user menu
    And I am on the "Page1" "page activity" page logged in as student1
    And the manual completion button of "Page1" is displayed as "Mark as done"
    And I toggle the manual completion state of "Page1"
    Then the manual completion button of "Page1" is displayed as "Done"
    And I am on "Course 1" course homepage
    And I follow "Level 1"
    Then the image at "ul .section li.activity div.activityiconcontainer img:nth-child(1)" "css_element" should be identical to "course/format/levels/tests/behat/assets/modcomplete.png"
    Then "#section-1 .activity:nth-child(1).module-completed" "css_element" should exist
