<?php
// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/**
 * Class custom_sql_field_definition.
 *
 * @package    dashaddon_developer
 * @copyright  2020 bdecent gmbh <https://bdecent.de>
 * @license    http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

namespace dashaddon_developer\data_grid\field;

use block_dash\local\data_grid\field\sql_field_definition;

/**
 * Class sql_field_definition.
 *
 * @package dashaddon_developer
 */
class custom_sql_field_definition extends sql_field_definition {

    /**
     * @var string
     */
    private $select;

    /**
     * Get SQL select statement for this field.
     *
     * @return string
     */
    public function get_select() {
        return $this->select;
    }

    /**
     * Set the select statement.
     *
     * @param string $select
     */
    public function set_select($select) {
        $this->select = $select;
    }

    /**
     * Get custom form.
     *
     * @return string
     */
    public function get_custom_form() {
        return parent::get_custom_form() . '<input type="text" placeholder="' .
            get_string('customsqlselect', 'block_dash') . '" name="available_field_definitions[' .
            $this->get_name() . '][sql]"
            value="' . $this->get_select() . '">';
    }
}
