<?php
// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/**
 * Define the Kickstart pro templates list.
 *
 * @package    local_kickstart_pro
 * @copyright  2021 bdecent gmbh <https://bdecent.de>
 * @license    http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

global $protemplates;

$protemplates = [

    '0' => array(
        'id' => 0,
        'title' => 'demo test 2(pro)',
        'description' => '<p dir="ltr" style="text-align: left;">test content of the block content</p>',
        'tags' => [],
        'backupfile' => 'course-175-section_banners.mbz',
        'preview_url' => '',
        'restrictcohort' => 0,
        'cohortids' => [],
        'restrictcategory' => 0,
        'categoryids' => [],
        'includesubcategories' => 0,
        'restrictrole' => 0,
        'roleids' => [],
        'descriptionformat' => 1,
    ),

    '1' => array(
        'id' => 0,
        'title' => 'demo test 3(pro)',
        'description' => '<p dir="ltr" style="text-align: left;">test content of the block content</p>',
        'tags' => [],
        'backupfile' => 'course-186-tiles_template.mbz',
        'preview_url' => '',
        'restrictcohort' => 0,
        'cohortids' => [],
        'restrictcategory' => 0,
        'categoryids' => [],
        'includesubcategories' => 0,
        'restrictrole' => 0,
        'roleids' => [],
        'descriptionformat' => 1,
    ),
];

