@local @local_kickstart_pro @_file_upload @javascript

Feature: Check the kickstart pro features.
  Background: Create users to check the visbility.
    Given the following "users" exist:
      | username | firstname | lastname | email              |
      | coursecreator1 | Coursecreator   | user1   | coursecreator1@test.com  |
      | coursecreator2 | Coursecreator   | user2   | coursecreator2@test.com  |
    And the following "courses" exist:
      | fullname | shortname | category | enablecompletion | showcompletionconditions |  format    |
      | Course 1 | C1        | 0        | 1                | 1                        | kickstart  |
      | Course 2 | C2        | 0        | 1                | 1                        | kickstart  |
    And the following "categories" exist:
      | name | category | idnumber |
      | Cat 1 | 0 | CAT1 |
      | Cat 2 | 0 | CAT2 |
    And the following "role assigns" exist:
    | user    | role          | contextlevel | reference |
    | coursecreator1 | coursecreator       | Category     | CAT1      |
    | coursecreator1 | coursecreator       | Category     | CAT2      |

  Scenario: Check the templates sort order and workflow.
    Given I log in as "admin"
    And I navigate to "Plugins > Course formats > Manage templates" in site administration
    Then I wait "5" seconds
    And I create a kickstart template with:
      | Title | Test template 1 |
      | Course backup file (.mbz) | /course/format/kickstart/tests/course.mbz|
    And I create a kickstart template with:
      | Title | Test template 2 |
      | Course backup file (.mbz) | /course/format/kickstart/tests/course.mbz|
    And I create a kickstart template with:
      | Title | Test template 3 |
      | Course backup file (.mbz) | /course/format/kickstart/tests/course.mbz|
    And I navigate to "Plugins > Course formats > Manage templates" in site administration
    Then "table.flexible" "css_element" should exist
    And I should see "Test template 1" in the "tr#templates_r5" "css_element"
    And I should see "Test template 2" in the "tr#templates_r6" "css_element"
    And I should see "Test template 3" in the "tr#templates_r7" "css_element"
    Then I click on "a#sort-template-down-action" "css_element" in the "Test template 1" "table_row"
    And I should see "Test template 2" in the "tr#templates_r5" "css_element"
    And I should see "Test template 1" in the "tr#templates_r6" "css_element"
    And I should see "Test template 3" in the "tr#templates_r7" "css_element"
    And I set kickstart format setting with:
      | Course creator redirect | 1 |
    And I log out
    Then I log in as "coursecreator1"
    And I am on course index
    And I follow "Cat 1"
    And I click on "More" "button"
    Then I should see "Add a new course"
    And I click on "Add a new course" "link"
    And I set the following fields to these values:
      | Course full name | Test course 1|
      | Course category | Cat 1 |
    And I press "Continue"
    And I am on "Test course 1" course homepage
    Then I should see "Test template 2" in the "//div[3][contains(@class, 'card-deck')]//div[2][contains(@class, 'card')]//h5[contains(@class, card-title)]" "xpath_element"
    Then I should see "Test template 1" in the "//div[4][contains(@class, 'card-deck')]//div[1][contains(@class, 'card')]//h5[contains(@class, card-title)]" "xpath_element"
    Then I should see "Test template 3" in the "//div[4][contains(@class, 'card-deck')]//div[2][contains(@class, 'card')]//h5[contains(@class, card-title)]" "xpath_element"
    And I navigate to course participants
    And I should see "Teacher, Course creator" in the "Coursecreator user1" "table_row"

  Scenario: Check the create course through template.
    Given I log in as "admin"
    And I navigate to "Plugins > Course formats > Manage templates" in site administration
    And I press "Create template"
    And I set the following fields to these values:
      | Title | Test template 1|
    And I upload "/course/format/kickstart/tests/course-10-online.mbz" file to "Course backup file (.mbz)" filemanager
    And I press "Save changes"
    Then I should see "Template successfully created"
    And I should see "Create template"
    And I press "Create template"
    And I set the following fields to these values:
      | Title | Test template 2|
    And I upload "/course/format/kickstart/tests/course.mbz" file to "Course backup file (.mbz)" filemanager
    And I press "Save changes"
    And I navigate to "Courses > Create course from template" in site administration
    Then I should see "Create course from template"
    And I set the following fields to these values:
      | Course full name | Test course 1|
      | Course category | Cat 1 |
    And I press "Continue"
    Then I should see "Test course 1" in the ".page-header-headings h1" "css_element"
    And I am on "Test course 1" course homepage
    Then I should see "Welcome to your new course" in the ".course-content h3" "css_element"
    And I click kickstart template ".use-template[data-templatename=\"Test template 1\"]"
    And I click on "Import" "button" in the ".modal" "css_element"
    Then I should see "Introduction"

  Scenario: Check the import template.
    Given I log in as "admin"
    And I navigate to "Plugins > Course formats > Manage templates" in site administration
    And I press "Create template"
    And I set the following fields to these values:
      | Title | Test template 1|
    And I upload "/course/format/kickstart/tests/course-10-online.mbz" file to "Course backup file (.mbz)" filemanager
    And I press "Save changes"
    And I should see "Template successfully created"
    And I press "Create template"
    And I set the following fields to these values:
      | Title | Test template 2|
    And I upload "/course/format/kickstart/tests/course.mbz" file to "Course backup file (.mbz)" filemanager
    And I press "Save changes"
    And I should see "Template successfully created"
    And I set kickstart format setting with:
      | Course creator redirect | 1 |
    And I log out
    Then I log in as "coursecreator1"
    And I am on course index
    And I follow "Cat 1"
    And I click on "More" "button"
    Then I should see "Add a new course"
    And I click on "Add a new course" "link"
    And I set the following fields to these values:
      | Course full name | Test course 1|
      | Course category | Cat 1 |
    And I press "Continue"
    And I am on "Test course 1" course homepage
    Then I should see "Welcome to your new course" in the ".course-content h3" "css_element"
    And I click kickstart template ".use-template[data-templatename=\"Test template 1\"]"
    And I click on "Import" "button" in the ".modal" "css_element"
    Then I should see "Introduction"
    And I am on the "Test course 1" "enrolled users" page
    And I should see "Teacher, Course creator" in the "Coursecreator user1" "table_row"

  Scenario: Check the course templates background images.
    Given I log in as "admin"
    And I navigate to "Plugins > Course formats > Manage templates" in site administration
    Then I press "Create template"
    And I should see "Template background images"
    And I create a kickstart template with:
        | Title | Test template 1|
        | Course backup file (.mbz) | /course/format/kickstart/tests/course.mbz|
    And I click on "#templates_r5 .singlebutton:nth-child(1)" "css_element" in the "Test template 1" "table_row"
    And I upload "local/kickstart_pro/tests/behat/assets/template1bg.jpg" file to "Template background images" filemanager
    Then I press "Save changes"
    And I am on "Course 2" course homepage
    Then the image at "//div[contains(@class, 'card') and @data-templatename='Test template 1']//img[contains(@src, 'pluginfile.php') and contains(@src, '/local_kickstart_pro/templatebackimg/')]" "xpath_element" should be identical to "local/kickstart_pro/tests/behat/assets/template1bg.jpg"
    And I navigate to "Plugins > Course formats > Manage templates" in site administration
    Then I press "Create template"
    And I should see "Template background images"
    And I set the following fields to these values:
        | Title | Test template 2|
        | Course backup file (.mbz) | /course/format/kickstart/tests/course.mbz|
    Then I press "Save changes"
    And I click on "#templates_r6 .singlebutton:nth-child(1)" "css_element" in the "Test template 2" "table_row"
    And I upload "local/kickstart_pro/tests/behat/assets/template2bg.jpg" file to "Template background images" filemanager
    And I upload "local/kickstart_pro/tests/behat/assets/template3bg.jpg" file to "Template background images" filemanager
    Then I press "Save changes"
    And I am on "Course 2" course homepage
    Then the image at "//div[contains(@class, 'card') and @data-templatename='Test template 2']//img[contains(@src, 'pluginfile.php') and contains(@src, '/local_kickstart_pro/templatebackimg/')]" "xpath_element" should be identical to "local/kickstart_pro/tests/behat/assets/template2bg.jpg"
    Then the image at "//div[contains(@class, 'card') and @data-templatename='Test template 2']//div[2][contains(@class, 'carousel-item')]//img[contains(@src, 'pluginfile.php') and contains(@src, '/local_kickstart_pro/templatebackimg/')]" "xpath_element" should be identical to "local/kickstart_pro/tests/behat/assets/template3bg.jpg"

  Scenario: Check the default course templates background settings.
    Given I log in as "admin"
    And I navigate to "Plugins > Course formats > Kickstart format > General settings" in site administration
    And I upload "local/kickstart_pro/tests/behat/assets/template2bg.jpg" file to "Default templates background images" filemanager
    Then I press "Save changes"
    And I create a kickstart template with:
    | Title | Test template 1 |
    | Course backup file (.mbz) | /course/format/kickstart/tests/course.mbz|
    And I am on "Course 2" course homepage
    Then the image at "//div[contains(@class, 'card') and @data-templatename='Test template 1']//img[contains(@src, 'pluginfile.php') and contains(@src, '/local_kickstart_pro/templatebackimg/')]" "xpath_element" should be identical to "local/kickstart_pro/tests/behat/assets/template2bg.jpg"
    And I create a kickstart template with:
    | Title | Test template 2 |
    | Course backup file (.mbz) | /course/format/kickstart/tests/course.mbz|
    And I am on "Course 2" course homepage
    Then the image at "//div[contains(@class, 'card') and @data-templatename='Test template 2']//img[contains(@src, 'pluginfile.php') and contains(@src, '/local_kickstart_pro/templatebackimg/')]" "xpath_element" should be identical to "local/kickstart_pro/tests/behat/assets/template2bg.jpg"
