<?php
// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/**
 * local_reset admin configurations.
 *
 * @package    local_reset
 * @copyright  2024 LMSACE DEV
 * @license    http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die;

if ($hassiteconfig) {

    $page = new admin_settingpage('local_reset_settings', get_string('generalsettings', 'local_reset'));

    // List of enabled enrolment methods.
    $plugins = array_keys(enrol_get_plugins(true));
    $methods = array_map(fn($method) => get_string('pluginname', 'enrol_' . $method), array_combine($plugins, $plugins));

    $name = 'local_reset/enrolmentmethods';
    $title = get_string('enrolmentmethods', 'local_reset');
    $description = get_string('enrolmentmethodsdesc', 'local_reset');
    $setting = new admin_setting_configmulticheckbox($name, $title, $description, [], $methods);
    $page->add($setting);

    $ADMIN->add('localplugins', $page);
}
