import DynamicForm from 'core_form/dynamicform';
import ContentDesigner from 'mod_contentdesigner/elements';

const resizeQuestionFrame = (questionFrame) => {
    var height = questionFrame.contentWindow.document.documentElement.scrollHeight;
    height += 20;
    questionFrame.style.minHeight = height + 'px';
    console.log(height, 'height');

};

export const questionSubmitted = (instanceID) => {

    var question = document.querySelector('.element-question .element-content[data-instanceid="' + instanceID +'"]');

    if (question === null) {
        return false;
    }

    const questionFrame = question.querySelector('iframe');

    questionFrame.onload = () => {

        var responseFrom = questionFrame.contentDocument.querySelector('form#responseform');
        resizeQuestionFrame(questionFrame);
        responseFrom.addEventListener('contentdesigner.questionformsubmitted', function(e) {
            // alert();
            ContentDesigner.refreshContent();
        });
    }

}
