import DynamicForm from 'core_form/dynamicform';
import ContentDesigner from 'mod_contentdesigner/elements';

class QuestionElement {

    constructor() {

        const formClass = '.element-question-form';

        const questionForms = document.querySelectorAll(formClass);

        questionForms.forEach((elem) => {
            this.includeDynamicForm(elem);
        })

    }

    includeDynamicForm(formElement) {
        // Initialize the form - pass the container element and the form class name.
        const dynamicForm = new DynamicForm(formElement.parentNode, 'element_question\\question_form');
        // By default the form is removed from the DOM after it is submitted, you may want to change this behavior:
        dynamicForm.addEventListener(dynamicForm.events.FORM_SUBMITTED, (e) => {
            e.preventDefault();
            const response = e.detail;
            console.log(response);
            // It is recommended to reload the form after submission because the elements may change.
            // This will also remove previous submission errors. You will need to pass the same arguments to the form
            // that you passed when you rendered the form on the page.
            // dynamicForm.load({ arg1: 'val1' });
            // ContentDesigner.refreshContent();
            formElement.dispatchEvent(new CustomEvent('contentdesigner.questionformsubmitted'));
            window.location.reload();

        });

        formElement.querySelector('input[type="submit"][name="submitbutton"]')?.addEventListener('click', (e) => {
            formElement.querySelector('[name="finishattempt"]').value = 1;
        });
    }
}

export default {
    init: () => new QuestionElement
}
