<?php

namespace element_question;

class display_options extends \question_display_options {

    /** @var string the behaviour to use for this preview. */
    public $behaviour;

    /** @var number the maximum mark to use for this preview. */
    public $maxmark;

    /** @var int the variant of the question to preview. */
    public $variant;

    /** @var string if set, force the embedded question to be displayed in this language. Moodle lang code, e.g. 'fr'. */
    public $forcedlanguage = null;

    /** @var int whether the current user is allowed to see the 'Fille with correct' button. */
    public $fillwithcorrect = self::HIDDEN;

    /** @var string Accessibility text for the iframe. */
    public $iframedescription = '';

    /** @var int whether the current user is allowed to see the 'Question bank' link. */
    public $showquestionbank = self::HIDDEN;

    public function __construct($behaviour=null) {

        $defaults = get_config('element_question');

        $this->behaviour = $behaviour ?: 'adaptive';
        // $this->behaviour = $defaults->behaviour;
        $this->maxmark = null;

        $this->correctness = $defaults->correctness ?? self::VISIBLE;
        $this->marks = $defaults->marks ?? self::VISIBLE;
        $this->markdp = $defaults->decimalplaces ?? self::VISIBLE;
        $this->feedback = $defaults->feedback ?? self::VISIBLE;
        $this->numpartscorrect = $defaults->feedback ?? self::VISIBLE;
        $this->generalfeedback = $defaults->generalfeedback ?? self::VISIBLE;
        $this->rightanswer = $defaults->rightanswer ?? self::VISIBLE;
        $this->history = $defaults->history ?? self::VISIBLE;
        // $this->flags = self::HIDDEN ?? self::VISIBLE;
        // $this->manualcomment = self::HIDDEN ?? self::VISIBLE;
    }

}
