<?php

namespace element_question;

use mod_bigbluebuttonbn\external\update_recording;

class helper {

    protected $contentdesignerid;

    public function __construct(int $contentdesignerid) {
        $this->contentdesignerid = $contentdesignerid;
    }

    public static function instance($contentdesignerid) {
        return new self($contentdesignerid);
    }

    public function find_usage(int $userid) : object|bool {
        global $DB;

        $record = $DB->get_record('element_question_attempts', [
            'userid' => $userid,
            'contentdesignerid' => $this->contentdesignerid,
        ], '*', IGNORE_MULTIPLE);

        return $record ?? false;
    }

    public function update_new_usage(int $qubaid, int $userid, int $contentid, int $slot) {
        global $DB;

        if ($attempt = $this->find_usage($userid)) {

            $slots = $attempt->slots ? json_decode($attempt->slots, true) : [];
            $slots[$contentid] = $slot;

            $attempt->slots = json_encode($slots);
            $DB->update_record('element_question_attempts', $attempt);
        } else {
            $data = [
                'contentdesignerid' => $this->contentdesignerid,
                'userid' => $userid,
                'uniqueid' => $qubaid,
                'slots' => json_encode([$contentid => $slot]),
                'timemodified' => time(),
            ];

            $DB->insert_record('element_question_attempts', $data);
        }
    }
}
