<?php

require_once('./../../../../config.php');

$contentinstanceid = required_param('id', PARAM_INT);
$cmid = required_param('cmid', PARAM_INT);
$sesskey = required_param('sesskey', PARAM_ALPHANUMEXT);

list ($course, $cm) = get_course_and_cm_from_cmid($cmid, 'contentdesigner');

$context = context_module::instance($cmid);
$PAGE->set_context($context);

$urlparams = [
    'id' => $contentinstanceid,
    'cmid' => $cmid,
    'sesskey' => $sesskey,
];
$url = new moodle_url('/mod/contentdesigner/element/question/startattempt.php', $urlparams);
$PAGE->set_url($url);

confirm_sesskey();

$element = element_question\element::SHORTNAME;
$elementobj = mod_contentdesigner\editor::get_element($element, $cmid);

$PAGE->set_pagelayout('embedded');

$PAGE->requires->js_call_amd('element_question/questionform', 'init', []);
// $instance = $elementobj->get_instance($contentinstanceid, true);
$data = $elementobj->prepare_formdata($contentinstanceid);
$attempt = $elementobj->render_attempt($data);

echo $OUTPUT->header();

echo $attempt;

$PAGE->requires->js_amd_inline('document.body.classList.add("loaded")');

echo $OUTPUT->footer();
