<?php

require_once(__DIR__ . '/../../../../config.php');
require_once($CFG->libdir . '/questionlib.php');

$PAGE->set_url(new moodle_url('/mod/contentdesigner/element/heading/testquestion.php'));
$PAGE->set_context(context_course::instance(8));

// Process other parameters.
$categoryidnumber = 8; // required_param('catid', PARAM_RAW);
$questionid = 16; // required_param('qid', PARAM_RAW);

$displayoptions = new \question_display_options();
// Create new usage.
$quba = \question_engine::make_questions_usage_by_activity('element_heading', \context_user::instance($USER->id));
// $behaviour = '';
$quba->set_preferred_behaviour('adaptive');
// Set the display options for the quba.

// $this->start_new_attempt_at_question($quba);

if (data_submitted()) {
    $quba->process_all_actions(null);
    \question_engine::save_questions_usage_by_activity($quba);
}

// Start new attempt.
$question = \question_bank::load_question($questionid);
$maxmark = 1;
$slot = $quba->add_question($question, $maxmark);
$variant = 1;
$quba->start_question($slot, $variant);

// Save the question usage.
\question_engine::save_questions_usage_by_activity($quba);

$PAGE->requires->js_module('core_question_engine');

$quba->render_question_head_html($slot);
$output = $quba->render_question($slot, $displayoptions, $displaynumber ?? 1);

echo $OUTPUT->header();

echo '<form>';
echo '<input type="hidden" name="slots" value="'.$slot.'" >';
echo $output;
echo '</form>';

echo $OUTPUT->footer();