<?php

require_once(__DIR__ . '/../../../../config.php');
require_once($CFG->libdir . '/adminlib.php');
require_once($CFG->libdir . '/moodlelib.php');

require_once(__DIR__.'/license_form.php');

use qtype_imagechoice\nct_license;

// Sets this page as admin external page.
admin_externalpage_setup('qtype_imagechoice_license');

// Verify the capabilities to activate/deactivate.
$context = \context_system::instance();
require_login();
require_capability('moodle/site:config', $context);

// Manage license form.
$mform = new license_form();

if ($mform->is_cancelled()) {
    redirect($PAGE->url);

} else if ($data = $mform->get_data()) {

    $license = nct_license::instance();
    $licensekey = $data->{nct_license::CONFKEY};

    if (isset($data->activate)) {
        // Activate the license.
        list($status, $message) = $license->activate_license($licensekey);
        if ($status) {
            redirect($PAGE->url, $message ?: get_string('licenseactivated', 'qtype_imagechoice'), null, \core\output\notification::NOTIFY_SUCCESS);
        } else {
            redirect($PAGE->url, $message ?: get_string('licenseactivationfailed', 'qtype_imagechoice'), null, \core\output\notification::NOTIFY_ERROR);
        }
    } else if (isset($data->deactivate)) {
        // Deactivate the license.
        list($status, $message) = $license->deactivate_license();
        if ($status) {
            redirect($PAGE->url, $message ?: get_string('licensedeactivated', 'qtype_imagechoice'), null, \core\output\notification::NOTIFY_SUCCESS);
        } else {
            redirect($PAGE->url, $message ?: get_string('licensedeactivationfailed', 'qtype_imagechoice'), null, \core\output\notification::NOTIFY_ERROR);
        }
    }
}

echo $OUTPUT->header();

echo $OUTPUT->heading(get_string('manage_license', 'qtype_imagechoice'));

if ($key = nct_license::instance()->get_key()) {

    $config = [
        nct_license::CONFKEY => $key,
        nct_license::CONFSTATUS => nct_license::instance()->get_config(nct_license::CONFSTATUS) // Only for display the status information.
    ];

    $mform->set_data($config);
}

$mform->display();

echo $OUTPUT->footer();
