
const SELECTORS = {
    choiceCard: '.qtype-imagetimeline .answers .animate__animated .card-img',

};

var contextID = null;



class ImageChoiceQuestionType {

    /**
     *
     * @param {int} questionDivID
     * @param {int} contextid
     * @param {array} option
     */
    constructor(questionDivID, contextid, option) {
        // Set global contextid.
        contextID = contextid;
        this.contextID = contextid;
        this.questionDivID = questionDivID;
        this.uniqueID = '#' + questionDivID;
        this.root = this.getRoot();

        this.addAnwerSelection();
    }


    getRoot() {
        return document.querySelector("#" + this.questionDivID);
    }

    getCards() {
        return document.querySelectorAll("#" + this.questionDivID + " " + SELECTORS.choiceCard);
    }


    addAnwerSelection() {
        const cards = this.getCards();
        if (cards.length === null) {
            return;
        }
        cards.forEach(card => this.updateAnimation(card, this.uniqueID));
    }


    updateAnimation(card) {
        console.log("TEST");
        var animateElem = card.parentNode;
        animateElem.addEventListener('animationend', e => {
            e.target.classList.remove('animate__animated');
        });
        animateElem.classList.add(animateElem.dataset.animation || 'no-animation');
        animateElem.style.display = 'block';
        !animateElem.classList.contains('show-feedback') || this.getRoot().classList.add('reveal-feedback');

    }

}

export default {

    init: (questionDivID, contextid, option) => {
        new ImageChoiceQuestionType(questionDivID, contextid, option);
    },
};
