import SortableList from 'qtype_imagetimeline/sortable_list';


class TimelineQuestion {

    constructor(containerId, places) {
        this.containerID = containerId;
        this.root = this.getRoot();
        console.log(containerId);
        this.setSortable();
    }


    getRoot() {
        return document.getElementById(this.containerID);
    }

    setSortable() {
        console.log(this.containerID);
        var self = this;
        var sort = new SortableList('#' + this.containerID + ' .dropzone', {
            isHorizontal : true,
            moveHandlerSelector: '.draghome',
            targetListSelector: '#' + this.containerID + ' .dropzone'
        });


        $('#' + this.containerID + ' div.answers .dropzone').on(SortableList.EVENTS.DROP, function (_, info) {
            // When a list element was moved send AJAX request to the server.
            setTimeout(() => {
                var i = 1;

                document.querySelectorAll('#' + self.containerID + ' div.answers .dropzone').forEach((e) => {

                    var choiceno = e.querySelector('.draghome').dataset.choiceno;
                    var placeno = e.dataset.placeno;

                    if (document.querySelector('#' + self.containerID + ' input[type=hidden].placeinput.place' + placeno) !== null) {
                        document.querySelector('#' + self.containerID + ' input[type=hidden].placeinput.place' + placeno).value = choiceno;
                    }
                    i++;
                });
            }, 100)

        });
    }
}

var questionManager = {


    init: (containerId, readOnly, places) => {
        new TimelineQuestion(containerId, places);
    },

};

const handleImageChoice = () => {
    const imageInputs = document.querySelectorAll('#id_answerhdrcontainer input[id^="id_answer_"]');
    imageInputs.forEach((input, index) => {
        input.addEventListener('change', (e) => addImageInput(e.target));
        addImageInput(input);
    });
};

const addImageInput = (input) => {
    const imageOrderSelect = document.querySelectorAll('select[id^="id_drops_"]');
    const allInputs = document.querySelectorAll('#id_answerhdrcontainer input[id^="id_answer_"]');

    var imageText = input.value;

    if (imageText.trim() !== "") {
        var index = Array.prototype.indexOf.call(allInputs, input); // Use indexOf on the NodeList
        index++;
        imageOrderSelect.forEach(e => {
            if (e.querySelector('option[value="' + index + '"]') !== null) {
                e.querySelector('option[value="' + index + '"]').innerHTML = index + ". " + imageText;
            } else {
                const option = document.createElement('option');
                option.value = index;
                option.textContent = index + ". " + imageText;
                e.appendChild(option);
            }
        });
    }

};

export default {
    init: questionManager.init,
    form: handleImageChoice
}
