<?php
// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/**
 * Strings for component 'qtype_multiorder', language 'en', branch 'MOODLE_20_STABLE'
 *
 * @package    qtype
 * @subpackage multiorder
 * @copyright  2024 LMSACE Dev Team <lmsace.com>
 * @license    http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

$string['pluginname'] = 'Multiple choice ordering';
$string['pluginname_help'] = 'In response to a question the respondent ordering from multiple answers.';
$string['pluginname_link'] = 'question/type/multiorder';
$string['pluginnameadding'] = 'Adding a multiple choice ordering';
$string['pluginnameediting'] = 'Editing a multiple choice ordering';
$string['pluginnamesummary'] = "Ordering the correct options in the question text are filled in using drag and drop.";

// Strings.
$string['options'] = 'Options';
$string['optionx'] = 'Option [[{no}]]';
$string['groupx'] = 'Group [[{no}]]';
$string['shuffle'] = 'Shuffle';
$string['usetogroups'] = "Use optins into groups";
$string['value'] = "Value";
$string['groups'] = "Groups";
$string['groupname'] = 'Group {$a}';
$string['strname'] = "Name";
$string['correctoptions'] = "Correct options";
$string['addmoregroups'] = "Add more groups";
$string['strgroupname'] = 'Group {$a}';
$string['options'] = "Options";
$string['correctorder'] = "Correct Order";
$string['dragdropinfo'] = "Drag the correct options on the left to the correct order on the right";
$string['correctansweris'] = 'The correct answer is: {$a}';
$string['missinggroupname'] = "The group name is required when using the choices group.";
$string['choicehdrdescription'] = "Add an option into the correct order.";
$string['blanknumber'] = 'Blank {$a}';
$string['addmorechoiceblanks'] = 'Blanks for {no} more choices';
$string['group'] = 'Group';
$string['regradeissuenumchoiceschanged'] = 'The number of choices in group {$a} changed.';
$string['regradeissuenumgroupsschanged'] = 'The number of groups of choices has changed.';
$string['pleaseputananswerineachbox'] = 'Please put an answer in each box.';

$string['privacy:metadata'] = 'Multiple choice ordering question type plugin allows question authors to set default options as user preferences.';
$string['privacy:preference:defaultmark'] = 'The default mark set for a given question.';
$string['privacy:preference:penalty'] = 'The penalty for each incorrect try when questions are run using the \'Interactive with multiple tries\' or \'Adaptive mode\' behaviour.';

$string['errorblankchoice'] = "Please check the choices:";