<?php
// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/**
 * Upgrade function for theme edifi.
 *
 * @package   theme_edifi
 * @copyright 2015 Onwards Lmsace
 * @author    LMSACE Dev Team
 * @license   http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */
defined('MOODLE_INTERNAL') || die();

function xmldb_theme_edifi_upgrade($oldversion) {

    global $CFG;

    if (method_exists('core_plugin_manager', 'reset_caches')) {
        core_plugin_manager::reset_caches();
    }
    $loggedin = get_config('moodle', 'frontpageloggedin');
    $explog = array('6', '2', '5', '7', '4', '0');
    $data = array( 's__frontpageloggedin' => $explog );
    admin_write_settings($data);
    $explog = array('6', '2', '7', '4', '0');
    $data = array( 's__frontpage' => $explog );
    admin_write_settings($data);
    /*
    $twurl = get_config('theme_edifi', 'twurl');
    set_config('siconurl1', $twurl, 'theme_edifi');
    set_config('socialicon1', 'fa-twitter', 'theme_edifi');

    $gpurl = get_config('theme_edifi', 'gpurl');
    set_config('siconurl2', $gpurl, 'theme_edifi');
    set_config('socialicon2', 'fa-google-plus', 'theme_edifi');

    $pinurl = get_config('theme_edifi', 'pinurl');
    set_config('siconurl3', $pinurl, 'theme_edifi');
    set_config('socialicon3', 'fa-pinterest-p', 'theme_edifi');

    $fburl = get_config('theme_edifi', 'fburl');
    set_config('siconurl4', $fburl, 'theme_edifi');
    set_config('socialicon4', 'fa-facebook-f', 'theme_edifi');
    */
    // Set the default background.
    $fs = get_file_storage();

     // footer logo.
    /*  $filerecord = new stdClass();
    $filerecord->component = 'theme_edifi';
    $filerecord->contextid = context_system::instance()->id;
    $filerecord->userid    = get_admin()->id;
    $filerecord->filearea  = 'footerlogo';
    $filerecord->filepath  = '/';
    $filerecord->itemid    = 0;
    $filerecord->filename  = 'footerlogo.png';
     $exist = record_exsist($filerecord);
    if ($exist != 1) {
     $fs->create_file_from_pathname($filerecord, $CFG->dirroot . '/theme/edifi/pix/home/stickylogo.png');
        set_config('footerlogo', '/footerlogo.png', 'theme_edifi');
    }
    */
    // Footer background Image.
    /* $fs = get_file_storage();
    $filerecord = new stdClass();
    $filerecord->component = 'theme_edifi';
    $filerecord->contextid = context_system::instance()->id;
    $filerecord->userid    = get_admin()->id;
    $filerecord->filearea  = 'counterbg_image';
    $filerecord->filepath  = '/';
    $filerecord->itemid    = 0;
    $filerecord->filename  = 'counterbg.jpg';
    $exist = record_exsist($filerecord);
    $chk = chk_config('counterbg_image');
    if ($exist != 1 && $chk == true) {
        $fs->create_file_from_pathname($filerecord, $CFG->dirroot . '/theme/edifi/pix/home/counterbg.jpg');
        set_config('counterbg_image', '/counterbg.jpg', 'theme_edifi');
    }*/
    return true;
}

function record_exsist($filerecord) {
        $fs = get_file_storage();
        $exist = $fs->file_exists($filerecord->contextid, $filerecord->component, $filerecord->filearea, $filerecord->itemid, $filerecord->filepath, $filerecord->filename);
        return $exist;
}

function chk_config($key) {
    $con = get_config('theme_edifi', $key);
    if (empty($con)) {
        return true;
    } else {
        return false;
    }

}