<?php
// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/**
 * A color switcher layout for the edifi theme.
 *
 * @package   theme_edifi
 * @copyright 2015 Onwards Lmsace
 * @author    LMSACE Dev Team
 * @license   http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

// require_once('../config.php')
// global $CFG, $OUTPUT;
?>
<div class="custom-color-switcher" id="switcher1">
    <script type="text/javascript">
        $(document).ready(function() {
            $("[href$='/all']").attr('id', 'full-theme-style');
                $(".switcher-icon").click(function() {
                    $(this).next('div.switcher-block').slideToggle('slow');
                    $('div.switcher-icon span').slideToggle('slow');
                });
                $("#switcher1 .switcher-block a").click(function() {
                    id = $(this).attr('data-color');
            switch(id) {
                case 'default':
                    $color = '<link class="new-theme-style" type="text/css" rel="stylesheet" href="http://edifi.lmsace.com/custom_styles/pattern-default.css">';
                    break;
                case '1':
                    $color = '<link class="new-theme-style" type="text/css" rel="stylesheet" href="http://edifi.lmsace.com/custom_styles/pattern-1.css">';
                    break;
                case '2':
                    $color = '<link class="new-theme-style" type="text/css" rel="stylesheet" href="http://edifi.lmsace.com/custom_styles/pattern-2.css"> ';
                    break;
                case '3':
                    $color = '<link class="new-theme-style" type="text/css" rel="stylesheet" href="http://edifi.lmsace.com/custom_styles/pattern-3.css"> ';
                    break;
                case '4':
                    $color = '<link class="new-theme-style" type="text/css" rel="stylesheet" href="http://edifi.lmsace.com/custom_styles/pattern-4.css">';
                    break;
                default:
                    $color = '<link class="new-theme-style" type="text/css" rel="stylesheet" href="http://edifi.lmsace.com/custom_styles/pattern-default.css">';
                    break;

            }
                newStyle = $color;

                $("head").append($color);
                if ( $('.new-theme-style').length >= 2) {
                    // alert();/
                    /*setTimeout(function() {*/ $('.new-theme-style:first').remove(); /*}, 2000);*/
                }
               // $("#new-theme-style").attr('id', 'full-theme-style');

                var classNames = $('body').attr('class').split(/\s+/);

                 // iterate over all class
                 $.each(classNames, function(index, item) {
                    // Find class that starts with btn-
                    if (item.indexOf("pattern-") == 0) {
                      // Store it
                      myClass = item;
                    }
                 });
                 $('body').removeClass(myClass);
                 $('body').addClass('pattern-'+id);
            })
            var header = $('header#header');
            $("select.header-styles").change(function() {
                val = $(this).val();
                var headerRow = $('header#header .header-main').find('.row');
                if (val == "2") {
                    headerRow.children('div:eq(0), div:eq(1)').removeClass('col-lg-2 col-md-3').addClass('col-lg-1 col-md-2');
                    headerRow.children('div:eq(1)').removeClass('push-lg-8 push-md-6').addClass('push-lg-10 push-md-8');
                    headerRow.children('div:eq(2)').removeClass('col-lg-8 col-md-6 pull-lg-2 pull-md-3').addClass('col-lg-10 col-md-8 pull-lg-1 pull-md-2');
                    menu = $('.center-block #navbarSupportedContent .main-menu').children().length;
                    var centerIndex = Math.floor(parseInt(menu) / 2 );
                    menuappend = $('.center-block #navbarSupportedContent .main-menu').children(':eq('+centerIndex+')');
                    headerRow.find('div.logo').detach().insertBefore(menuappend);
                    drawer = headerRow.find('.right-block').find('[data-region=drawer-toggle]').detach().appendTo(".left-block");
                    $('.header-main').removeClass('left-content right-content').addClass('center-content');
                    if ($('body').hasClass('pagelayout-frontpage')) {
                        $('#nav-drawer').removeClass('drawer-open-right');
                    }

                } else if (val == 1 || val == 3 || val == 4) {

                    headerRow.children('div:eq(0), div:eq(1)').removeClass('col-lg-1 col-md-2').addClass('col-lg-2 col-md-3');
                    headerRow.children('div:eq(1)').removeClass('push-lg-10 push-md-8').addClass('push-lg-8 push-md-6');
                    headerRow.children('div:eq(2)').removeClass('col-lg-10 col-md-8 pull-lg-1 pull-md-2').addClass('col-lg-8 col-md-6 pull-lg-2 pull-md-3');
                    headerRow.find('div.logo').detach().appendTo('.left-block');
                    headerRow.find('[data-region=drawer-toggle]').detach().prependTo('.right-block');

                    if (val == 1 ) {
                        var sideclass = 'left-content';
                        var removeclass = 'right-content center-content';
                    } else if(val == 3) {
                        var sideclass = 'right-content';
                        var removeclass = 'left-content center-content';
                    } else {
                        var sideclass = 'center-content';
                        var removeclass = 'right-content left-content';
                    }

                    $('.header-main').removeClass(removeclass).addClass(sideclass);
                    $('#nav-drawer').addClass('drawer-open-right');

                }

            })

            if ($('header').hasClass('transparent-header') ) {
                 var trans = $("input[name=transparent]");
                 trans.attr('checked','checked');
            }
            $("input[name=transparent]").click(function(){
                var trans = $("input[name=transparent]");
                if(trans.is(':checked')) {
                    header.addClass('transparent-header');
                    $('.homepage-carousel').css('margin-top', '0px');
                    if (!$('#header').hasClass('active-sticky')) {
                        header.addClass('trans-top');
                        $('body').css('margin-top','0');
                    }
                } else {
                    header.removeClass('transparent-header trans-top');
                    $("html, body").animate({ scrollTop: 0 }, 'slow', function(){
                        var height = header.height();
                        $('body').css('margin-top', height);
                    });

                }
            })

        })
    </script>
    <style>
    .custom-color-switcher {
    background-color: rgba(53, 53, 53, 0.7);
    border-radius: 30px;
    position: fixed;
    top: 300px;
    left: 10px;
    z-index: 1000;
}
.custom-color-switcher .switcher-icon {
    color: #fff;
    padding-left: 10px;
    margin-right: 10px;
}
.custom-color-switcher .switcher-icon a {
    border: 1px solid #ffffff;
    border-radius: 20px;
    color: #ffffff;
    padding: 6px 10px;
    margin: 10px 0;
    display: inline-block;
}
.custom-color-switcher .switcher-icon span {
    margin-left: 10px;
}
.custom-color-switcher .switcher-icon a i {
    font-size: 20px;
    line-height: 26px;
}
.custom-color-switcher .switcher-block {
    max-width: 200px;
    padding: 20px 10px 0;
    background-color: #cfcfcf;
    border-bottom-left-radius: 30px;
    border-bottom-right-radius: 30px;

}
.custom-color-switcher .switcher-block ul {
    display: inline-block;
}
.custom-color-switcher .switcher-block ul li {
    list-style: none;
    float: left;
    margin-right: 15px;
    margin-bottom: 10px;
}
.custom-color-switcher .switcher-block ul  li a {
    text-align: center;
    display: inline-block;
}
.custom-color-switcher .switcher-block ul  li a img {
    border-radius: 30px;
    max-width: 40px;
}
.custom-color-switcher .switcher-block ul  li a span {
    color: #353535;
    display: block;
    margin-top: 5px;
}
.custom-color-switcher .switcher-block .header-styles {
    min-width: auto;
    margin-bottom: 15px;
}
    </style>
        <div class="switcher-icon" id="switcher1" >
            <a href="javascript:void(0)" > <i class="fa fa-gear"></i> </a>
            <span style="display:none;"> Style switcher </span>
        </div>
        <div class="switcher-block" style="display:none;">
            <div class="header-switch">
                <span>Headers</span>
                <select name="headerSwitch" class="header-styles">
                    <option value="1">Header style 1</option>
                    <option value="2">Header style 2</option>
                    <option value="3">Header style 3</option>
                    <option value="4">Header style 4</option>
                </select>
            </div>
            <input type="checkbox" name="transparent" class="transparent"><label class="transparent">Transparent</label>
            <span>Color schemes</span>
            <ul>
                <li><a href="javascript:void(0)" data-color="default" >
                    <img src="http://edifi.lmsace.com/theme/edifi/pix/color/default.jpg"> </a>
                </li>

                <li><a href="javascript:void(0)" data-color="1" >
                    <img src="http://edifi.lmsace.com/theme/edifi/pix/color/pattern-1.jpg"> </a>
                </li>

                <li><a href="javascript:void(0)" data-color="2" >
                    <img src="http://edifi.lmsace.com/theme/edifi/pix/color/pattern-2.jpg"> </a>
                </li>

                <li><a href="javascript:void(0)" data-color="3" >
                    <img src="http://edifi.lmsace.com/theme/edifi/pix/color/pattern-3.jpg"> </a>
                </li>

                <li><a href="javascript:void(0)" data-color="4" >
                    <img src="http://edifi.lmsace.com/theme/edifi/pix/color/pattern-4.jpg"> </a>
                </li>
            </ul>
        </div>

    </div>