<?php
// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/**
 * Strings for component 'theme_enlight', language 'en'
 *
 * @package    theme_enlight
 * @copyright  2015 onwards LMSACE Dev Team (http://www.lmsace.com)
 * @authors    LMSACE Dev Team
 * @license    http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

// General strings.
$string['themegeneralsettings'] = 'General';
$string['generallogo_menu'] = "COLOR SCHEMES, HEADER STYLES, LOGO & MENUS";
$string['patternselect'] = 'Choose website color scheme';
$string['patternselectdesc'] = 'Please select the color scheme you would like to have for your site';
$string['lavender'] = "Lavender";
$string['blue'] = "Blue";
$string['purple'] = "Purple";
$string['red'] = "Red";
$string['green'] = "Green";
$string['default'] = "Default";
$string['headerStyle'] = "Header Style";
$string['headerStyle_desc'] = "Please use this option to set a header style for your site";
$string['header'] = 'Style {$a->no} ';
$string['header_transparent'] = 'Frontpage header style';
$string['header_transparentdesc'] = 'Please select the style for the front page header background';
$string['transparent'] = 'Transparent';
$string['semitransparent'] = 'Semi - Transparent';
$string['topheader_style'] = 'Top header background style';
$string['topheader_styledesc'] = 'You can enable the display of the top header in a colored background. If not enabled, it will show in white color.';
$string['logo'] = 'Logo';
$string['logodesc'] = 'Please upload a logo image for your website. The image should have a height of 50px and a reasonable width, with a minimum of 235px that suits your design.';
$string['primarymenu'] = "Primary menu items";
$string['primarymenudesc'] = "Please provide the primary menu items you want to include on your website.";
$string['primary_menu'] = "Home|#";

$string['cmenushow'] = 'Courses mega menu';
$string['cmenushowdesc'] = 'To enable the courses mega menu, use this setting to show or hide its appearance in primary menus.';
$string["cmenuPosition"] = "Courses Mega Menu Position";
$string["cmenuPosition_desc"] = "Use this setting to specify the position of the courses mega menu in the header primary menus.";
$string['managefrontpage_items'] = "MANAGE FRONT PAGE ITEMS";
$string['popularCourse_status'] = 'Show popular courses';
$string['popularCourse_statusdesc'] = 'Use this setting to enable or disable the popular courses block on the front page.';
$string['popularCourses_type'] = "(Generate) popular courses based on";
$string['popularCourse_typedesc'] = "Please choose your preferred criteria to generate popular courses. If you choose the custom courses option, you must mention the IDS of the courses you want to have in the popular courses block in the setting provided below.";
$string['no_enrol'] = "Number of enrolled users";
$string['id_base'] = "Custom courses";
$string['popularCourses_id'] = "Popular Courses IDS";
$string['popularCourse_iddesc'] = "Please enter the course IDs separated by commas.";
$string['acourse_displaytype'] = 'Available courses display style';
$string['acourse_displaytypedesc'] = 'Please select a display style for the listing of available courses.';

$string['default_type'] = "Moodle default";
$string['default_layout'] = "Moodle default layout";
$string['availablecourse_info'] = 'Display Course Info';
$string['availablecourse_infodesc'] = 'Enable this option to show simple course information on the course cards of the Available Course block.';
$string['showteacher_info'] = 'Display Teacher Images in Course';
$string['showteacherinfo_desc'] = 'Enable this option to show the course contact user\'s pictures on course cards of the Available Course block.';
$string['categories_displaytype'] = 'Course categories display style';
$string['categories_displaytypedesc'] = 'Please select a display style for the listing of course categories.';
$string['mycourse_displaytype'] = 'My courses display style';
$string['mycourse_displaytypedesc'] = 'Please select a display style for the listing of your courses.';
$string['sitenewsType'] = "Site News display style";
$string['sitenewsType_desc'] = "Please select a display style for the listing of site news.";
$string["enlight_type"] = "Enlight theme custom style";
$string["comboListboxType"] = 'Combo List display style';
$string["comboListboxType_desc"] = 'Please select a display style for the combo list block.';
$string["expand"] = "Expanded";
$string["collapse"] = "Collapsed";
$string['managebgimages'] = "MANAGE BACKGROUND IMAGES & COLOURS";
$string["popularcoursesbg"] = "Background image for popular courses block";
$string["popularcoursesbg_desc"] = "Please upload an image for the popular courses block background. The recommended image size is width=1350px and height=450px.";
$string["popularcoursebg_type"] = "Background (color) options for popular courses block";
$string["popularcoursebg_typedesc"] = "Please choose a background option that you would like to have for the popular courses block.";
$string["availablecoursesbg"] = "Background image for available courses block";
$string["availablecoursesbg_desc"] = "Please upload an image for the available courses block background. The recommended image size is width=1350px and height=450px.";
$string["availablecoursebg_type"] = "Background (color) options for available courses block";
$string["availablecoursebg_typedesc"] = "Please choose a background option that you would like to have for the available courses block.";
$string["categoriescoursesbg"] = "Background image for course categories block";
$string["categoriesbg_desc"] = "Please upload an image for the course categories block background. The recommended image size is width=1350px and height=450px.";
$string["categoriesbg_type"] = "Background color options for course categories block";
$string["categoriesbg_typedesc"] = "Please choose a background option that you would like to have for the course categories block.";
$string["enrolledcoursesbg"] = "Background image for enrolled courses block";
$string["enrolledcoursesbg_desc"] = "Please upload an image for the enrolled courses block background. The recommended image size is width=1350px and height=450px.";
$string["enrolledcoursebg_type"] = "Background (color) options for enrolled courses block";
$string["enrolledcoursebg_typedesc"] = 'Please choose a background option that you would like to have for the enrolled courses block.';
$string["searchcoursesbg"] = "Background image for search courses block";
$string["searchcoursesbg_desc"] = "Please upload an image for the search courses block background. The recommended image size is width=1350px and height=450px.";
$string["searchcoursebg_type"] = "Background (color) options for search courses block";
$string["searchcoursebg_typedesc"] = "Please choose a background option that you would like to have for the search courses block.";
$string["testimonialsbg"] = "Background image for testimonial block";
$string["testimonialsbg_desc"] = "Please upload an image for the testimonial block background. The recommended image size is width=1350px and height=450px.";
$string["testimonialsbg_type"] = "Background (color) options for testimonial block";
$string["testimonialsbg_typedesc"] = "Please choose a background option that you would like to have for the testimonial block.";
$string["footbgimg"] = "Background image for footer section block";
$string["footbgimg_desc"] = "Please upload an image for the footer section block background. The recommended image size is width=1350px and height=450px.";
$string["footbgimg_type"] = "Background (color) options for footer section block";
$string["footbgimg_type_desc"] = "Please choose a background option that you would like to have for the footer section block.";
$string['loginbg'] = 'Background image for login page block';
$string['loginbgdesc'] = 'Please upload an image for the login page block background. The recommended image size is width=1350px and height=450px.';
$string["loginpageType"] = "Background (color) options for login page block";
$string["loginpageType_desc"] = "Please choose a background option that you would like to have for the login page block.";
$string['miscellaneous'] = "MISCELLANEOUS ITEMS";
$string['courselayout'] = 'Course category layout';
$string['courselayoutdesc'] = 'To change the display of the course category listing page, select one of the following custom layouts listed here. This will override the layout defined in the course/index.php (i.e., course category) file. The custom layout file will be used instead of Moodle\'s default layout.';
$string["preloader_status"] = 'Enable preloader';
$string["preloader_statusdesc"] = 'To enable the preloader, use this option to show or hide the preloader animation while opening the site pages.';
$string["preloaderbg_color"] = 'Preloader background color';
$string["preloaderbg_colordesc"] = 'To change the background color of the pre-loader page, use this option to set a new color of your choice.';
$string["preloader"] = 'Preloader image';
$string["preloader_desc"] = 'To change the pre-loader animation image (GIF), utilize this option to upload a new GIF image of your preference.';
$string['backToTop_status'] = "Add back-to-top button";
$string['backToTop_statusdesc'] = "This option allows you to control whether or not to enable a back-to-top button on your pages. When enabled, the back-to-top button will appear, allowing users to quickly scroll back to the top of the page with a single click.";
$string['customcss'] = 'Custom CSS';
$string['customcssdesc'] = 'Use this field to provide CSS code that will be injected at the end of the style sheet.';
$string["importDemo"] = "Import demo content";
$string["importDemo_desc"] = "To import the demo content and make your installation look like our demo site, please check the above box. WARNING! However, please exercise caution and avoid installing the sample data on your live existing website, unless it is a fresh installation. Importing the sample data on an existing website may lead to data corruption. We strongly recommend installing the sample data on a fresh Moodle installation to ensure a smooth experience.";

// Home page slider strings.
$string['slideshowheading'] = 'Homepage Slider';
$string['slideshowheadingsub'] = 'SLIDER OPTIONS';
$string['slideshowdesc'] = 'The homepage slider provides a way to promote important elements of your site. To display the slideshow, you need to upload at least one slide image. The slide title, description, and button are optional elements that you can add for each slide.
For the best results, it is recommended to use larger images. The slider will automatically crop your images to fit the height and width of the slideshow. Using images that are too small may cause the slider not to work correctly. Therefore, it\'s essential to use appropriately sized images to ensure the slider functions as intended and displays your content effectively.';
$string['numberofslides'] = 'Number of slides';
$string['numberofslidesdesc'] = 'To select the number of slides, use this option first and click the "Save Changes" button at the bottom of the settings page. Afterward, the page will reload, and you will have options and text fields available for configuring the desired number of slides.';
$string["slideshowStatus"] = "Show homepage slider";
$string["slideshowStatus_desc"] = 'To display or hide the homepage slider, select the option "No" if you don\'t want an image slider on your home page. Choosing "No" will disable the slider, and it will not be shown on your homepage.';
$string['autoslideshow'] = 'Autoplay';
$string['autoslideshowdesc'] = 'To enable automatic scrolling of slides after the page loads, use this option. When enabled, the homepage slider will automatically transition between slides without requiring user input or interaction.';
$string["pagination"] = "pagination";
$string["pagination_desc"] = "To customize the pagination styles in the slideshow, use this option. Pagination refers to the indicators or controls that allow users to navigate between slides in the slideshow.";
$string['slideinterval'] = 'Pause Time';
$string['slideintervaldesc'] = 'To adjust the pause or wait time between each slide change in the slideshow, use this option. The value is measured in milliseconds, where 1 second is equal to 1000 milliseconds.';
$string["slideheight"] = "Slideshow Height";
$string["slideheight_desc"] = "To adjust the height of the slideshow, utilize this option. You can specify the desired height for the slideshow to ensure it fits well within the layout of your webpage.";
$string["slideOverlay"] = "Overlay opacity";
$string["slideOverlay_desc"] = "To control the opacity level of the overlay in the slideshow, use this option. The default value for this option is 0.4, which means the overlay will have a 40% opacity, allowing the content behind it to be partially visible.";
$string['slideno'] = 'Slide #{$a->slide}';
$string['slidenodesc'] = 'Enter the settings for slide {$a->slide}.';
$string['slideStatus'] = ' Status (Slide #{$a->slide})';
$string['slideStatus_desc'] = 'To control the visibility of a slide in the homepage slider, select the option "Disable" for the specific slide you wish to hide. Choosing "Disable" will prevent the slide from appearing in the homepage slider, effectively hiding it from view.';
$string['slidetypetitle'] = 'Slide type (Slide #{$a->slide})';
$string['slidetypedesc'] = 'To select the slide type, choose from the available options provided. The slide type may include different formats or layouts for each slide in the homepage slider.';
$string['banneryoutube'] = "Youtube Video";
$string['bannerhosted'] = "Hosted video";
$string['bannerimagebanner'] = "Image";
$string['slideimage'] = ' Image (Slide #{$a->slide})';
$string['slideimagedesc'] = 'Please upload the image you would like to use as the background image of the slide. The recommended image size is width=1600px and height=1080px.';
$string['bannervideourl'] = 'Slide video URL (Slide #{$a->slide})';
$string['bannervideourldesc'] = "By providing the video URL, the slide will display the specified video as the background or content of the slide in the homepage slider.";
$string['slidecaption'] = 'Title (Slide #{$a->slide})';
$string['slidecaptiondefault'] = 'THE BEST MOODLE THEME FOR LMS';
$string['slidecaptiondesc'] = 'To add a title to your slide, enter the text you want to display as the slide title. If you need multi-lingual support, you can use the "lang" prefix followed by the appropriate "language_key" for each supported language. You can find the theme language keys for multi-lingual support in the "/theme/enlight/lang/en/theme_enlight.php" file.';
$string['slidedesc'] = ' Description (Slide #{$a->slide})';
$string['slidedesctext'] = 'To add a description to your slide, enter the text you want to display as the slide\'s description. For multi-lingual support, you can use the "lang" prefix followed by the appropriate "language_key" for each supported language. You can find the theme language keys for multi-lingual support in the "/theme/enlight/lang/en/theme_enlight.php" file.';
$string['slidedescdefault'] = 'Education on awesome unique moodle theme.';
$string['slideurl1text'] = 'Button text';
$string['slideurl1textdesc'] = 'To set the text for the button on the slide, use this option. If you do not want to have a button on your slide, leave this option blank.
Enter the button text as plain text or use the "lang" prefix followed by the appropriate "language_key" for multi-lingual support. You can find the theme language keys for multi-lingual support in the "/theme/enlight/lang/en/theme_enlight.php" file.';
$string['knowmore'] = 'Know More';
$string['slideurl1'] = 'Button URL';
$string['slideurl1desc'] = 'To set the link for the button on the slide, use this option. Enter the URL or web address where you want the button to redirect users when clicked.';
$string["urltarget1"] = "Button 1 Target";
$string["urltarget2"] = "Button 2 Target";
$string["urltarget_desc"] = "By selecting this option, when users click the button on the slide, the linked content will open in a separate browser tab or window, leaving the original page intact.";
$string['slideurl2text'] = 'Botón 2 Texto';
$string['slideurl2textdesc'] = 'To set the text for the button on the slide, use this option. If you do not want to have a button on your slide, leave this option blank.
Enter the button text as plain text or use the "lang" prefix followed by the appropriate "language_key" for multi-lingual support. You can find the theme language keys for multi-lingual support in the "/theme/enlight/lang/en/theme_enlight.php" file.';
$string['slideurl2'] = 'Button 2 URL';
$string['slideurl2desc'] = 'To set the link for the button on the slide, use this option. Enter the URL or web address where you want the button to redirect users when clicked.';
$string["slideCont_full"] = "Content Width";
$string["slideCont_fulldesc"] = "To adjust the content width of the slide, use this option. The content width will be calculated as a percentage of the main grid width. The default value for this option is 50%, meaning the content will occupy half of the available space in the slide.";
$string['slideContentStyle'] = "Content style";
$string['slideContentStyle_desc'] = 'To customize the content style in the slide, use this option. You can choose from different content styles to present your slide content uniquely.
If you select the content style as "Double title," you should provide two titles for the slide in the slide title option. Separate the two titles with a pipe (|) symbol. For example: "Title1 | Title2".';
$string['slidecontent'] = 'Content position (Slide #{$a->slide})';
$string['slidecontentdesc'] = "To determine the position of the slide title, description, and button within the slide, use this option.";
$string["contentAnimate"] = 'Content animation (Slide #{$a->slide})';
$string["contentAnimatedesc"] = "To add animation effects to the slide contents, including the slide title, description, and button, use this option.";
$string["slideEffect"] = 'Slide animation';
$string["slideEffectdesc"] = "To apply animation effects to the slide transitions in the slideshow, use this option.";

// Site features strings.
$string['sitefeature_tabhead'] = 'Featured blocks';
$string['sitefeatureheading'] = 'Site Feature Heading';
$string['activateblock'] = "Activate block";
$string["activateblock_desc"] = "This option allows you to control the visibility of the block and manage the content displayed on the front page effectively.";
$string['sitefblocktitle'] = 'Feature title';
$string['sitefblocktitle_desc'] = 'To set the title for Site feature heading block, enter the block title as plain text or use the "lang" prefix followed by the appropriate "language_key" for multi-lingual support. You can find the theme language keys for multi-lingual support in the "/theme/enlight/lang/en/theme_enlight.php" file. If you want to use the default language keys, you can locate them in the "/theme/enlight/lang[FOLDER]" directory.';
$string['numberofsitef'] = 'Number of site features';
$string['numberofsitef_desc'] = 'This allows you to control the quantity of site features showcased in the frontpage block.';
$string['sitefblock'] = 'Site Featured block - #{$a->block}';
$string['sitefblockimage'] = 'Feature icon / image';
$string['sitefblockimagedesc'] = 'By uploading an image or icon, you can visually represent each site feature in the frontpage block.We recommend using images with dimensions of 75 x 75 pixels for optimal display.';
$string['sitefblockcontent'] = 'Feature description';
$string['sitefblockcontentdesc'] = 'To add a description for the site feature, enter the feature description as plain text or use the "lang" prefix followed by the appropriate "language_key" for multi-lingual support.';
$string['sitefblocklink'] = 'Feature URL';
$string['sitefblocklinkdesc'] = 'To link the site feature to a specific page, enter the URL of the desired page in the provided field.';

// Marketing spot strings.
$string['frontpageheading'] = 'Marketing spot';
$string['marketingspot'] = 'Marketing Spot';
$string['aboutustxt'] = 'About Us';
$string['marketingSpot1_status'] = 'Activate block';
$string['marketingSpot1_statusdesc'] = 'This option allows you to control the visibility of the block and manage the content displayed on the front page effectively.';
$string['mspottitledesc'] = 'To set the title for the About Us block, enter the block title as plain text or use the "lang" prefix followed by the appropriate "language_key" for multi-lingual support. You can find the theme language keys for multi-lingual support in the "/theme/enlight/lang/en/theme_enlight.php" file.';
$string['aboutus'] = '<b>about</b> us';
$string['mspotdescdesc'] = 'To set the description for the About Us block, enter the block title as plain text or use the "lang" prefix followed by the appropriate "language_key" for multi-lingual support. You can find the theme language keys for multi-lingual support in the "/theme/enlight/lang/en/theme_enlight.php" file.';
$string['aboutusdesc'] = '<p> Ipsum in aspernatur ut possimus sint. Quia omnis est occaecati possimus ea. Quas molestiae perspiciatis occaecati qui rerum. Deleniti quod porro sed quisquam saepe. Numquam mollitia recusandae non ad at et a. </p> <p> Ad vitae recusandae odit possimus. Quaerat cum ipsum corrupti. Odit qui asperiores ea corporis deserunt veritatis quidem expedita perferendis. Qui rerum eligendi ex doloribus quia sit. Porro rerum eum eum. </p>';
$string['title'] = 'Title';
$string['media'] = 'Media';
$string['mspotmediadesc'] = 'Insert an image or embed a youtube video.';
$string['learntitle'] = "LEARN ANYTIME, ANYWHERE";
$string["marketingSpot2_status"] = "Activate block";
$string["marketingSpot2_statusdesc"] = "This option allows you to control the visibility of the block and manage the content displayed on the front page effectively.";
$string['learnanytime'] = 'Learn anytime, anywhere';
$string['learnanytimedesc'] = 'Enjoy our free online courses, wherever you are and whenever you want. Access course content on mobile, tablet or desktop.';
$string['button'] = 'Button';
$string['mspot2urltxtdesc'] = 'To set the text for the button on the Marketing spot, use this option. Enter the button text as plain text or use the "lang" prefix followed by the appropriate "language_key" for multi-lingual support. You can find the theme language keys for multi-lingual support in the "/theme/enlight/lang/en/theme_enlight.php" file.';
$string['viewallcourses'] = 'View all Courses';
$string['mspot2urldesc'] = 'To set the link for the button on the Marketing spot, use this option. Enter the URL or web address where you want the button to redirect users when clicked..';
$string['mspot2urltarget_desc'] = "By selecting this option, when users click the button on the Marketing spot, the linked content will open in a separate browser tab or window, leaving the original page intact.";
$string["sameWindow"] = "Same Window";
$string["newWindow"] = "New Window";

// Category images strings.
$string['categoryimgheading'] = 'Category Images';
$string['categoryimgheadingsub'] = 'USE IMAGES TO REPRESENT YOUR TOP LEVEL COURSE CATEGORIES';
$string['categoryimgdesc'] = 'In this section, you can set images for each top-level course category. The recommended image size for the category images is width=360px and height=360px.';
$string['categoryimgcategory'] = 'Set the image for "{$a->category}" please upload an image that represents this category.';

// Our team strings.
$string['ourTeam'] = 'Our team';
$string['ourTeamhead_sub'] = 'General Settings';
$string['ourTeamdesc'] = 'In this section, you can showcase your team or staff members in an attractive and easy-to-manage manner.';
$string['ourteamStatus'] = 'Activate block';
$string['ourteamStatus_desc'] = 'This option allows you to control the visibility of the block and manage the content displayed on the front page effectively.';
$string['ourteamTitle_desc'] = 'To set the title for our team block, enter the block title as plain text or use the "lang" prefix followed by the appropriate "language_key" for multi-lingual support. You can find the theme language keys for multi-lingual support in the "/theme/enlight/lang/en/theme_enlight.php" file.';
$string["ourteamAutoplay_desc"] = 'To enable automatic scrolling of slides after the page loads, use this option. When enabled, the slider will automatically transition between slides without requiring user input or interaction.';
$string['numberofpersons'] = 'Number of members';
$string['numberofpersons_desc'] = 'This allows you to control the number of members showcased in the Our team block.';
$string['teamunamedesc'] = 'Please provide the names of your team members.';
$string['teamposition'] = 'Job Title';
$string['teamposition_desc'] = 'To set the title for our team member block, enter the block title as plain text or use the "lang" prefix followed by the appropriate "language_key" for multi-lingual support. You can find the theme language keys for multi-lingual support in the "/theme/enlight/lang/en/theme_enlight.php" file.';
$string['teamSocialicon'] = "Social Media Icon";
$string['teamSocialicon_desc'] = 'To add a social media icon, enter the Font Awesome "Cheat Sheet" icon class for the specific social media platform you want to link.';
$string['teamImg'] = 'Member image';
$string['teamImg_desc'] = 'Please upload a member image for the "Our Team" block.';
$string['team_siconurl_desc'] = 'Enter the URL you’d like the social media icon to link to. For example, http://www.{$a->icon}.com/your-page';
$string['team_socialicon1default'] = "fa-facebook";
$string['team_socialicon2default'] = "fa-twitter";
$string['team_socialicon3default'] = "fa-google-plus";
$string['team_socialicon4default'] = "fa-pinterest-p";
$string['team_siconurl1default'] = "http://www.facebook.com";
$string['team_siconurl2default'] = "http://www.twitter.com";
$string['team_siconurl3default'] = "http://www.googleplus.com";
$string['team_siconurl4default'] = "http://www.pinterest.com";
$string["team"] = 'Member {$a->team} Details';
$string["teamdesc"] = 'Description';

// Testimonial strings.
$string['tmonialheading'] = 'Testimonials';
$string['testiGeneral'] = "Testimonials general settings";
$string["tmonialheadingsub_desc"] = "This section allows you to display user testimonials on front-page.";
$string['toggletmonial'] = 'Activate block';
$string['toggletmonialdesc'] = 'This option allows you to control the visibility of the block and manage the content displayed on the front page effectively.';
$string['testimonialtitle_desc'] = 'To set the title for the testimonial block, enter the block title as plain text or use the "lang" prefix followed by the appropriate "language_key" for multi-lingual support.';
$string['testimonial_default'] = "Student testimonial";
$string['tmonialTraversal_status'] = 'Show pagination';
$string['tmonialTraversal_statusdesc'] = ' To customize the pagination styles in the slideshow, use this option. Pagination refers to the indicators or controls that allow users to navigate between slides in the slideshow.';
$string['testimonialAutoplay'] = "Autoplay";
$string['testimonialAutoplay_desc'] = 'To enable automatic scrolling of slides after the page loads, use this option. When enabled, the slider will automatically transition between slides without requiring user input or interaction.';
$string['numberoftmonials'] = 'Number of testimonials';
$string['numberoftmonials_desc'] = 'This feature enables you to specify how many testimonials you want to showcase in the testimonial section on your website.';
$string['testimonialno'] = 'Testimonial {$a->tmonial}';
$string['testimonialnodesc'] = 'Enter the settings for testimonial {$a->tmonial}.';
$string['tmonialuname'] = 'Name';
$string['tmonialuname_default'] = 'Peter Lubbers';
$string['tmonialunamedesc'] = 'To provide the testimonial user\'s name, enter the individual\'s name in the "User Name" field for each testimonial.';
$string['tmonialuposition']  = 'Position';
$string['tmonialupositiondesc']  = 'To provide the testimonial user\'s position or role, enter the relevant information in the "User Position" field for each testimonial.';
$string['tmonialimg'] = 'User image';
$string['tmonialimgdesc'] = 'Please upload a user image for the "Testimonial" block.';
$string['tmonialtext'] = 'Testimonial';
$string['tmonialtext_default'] = 'We are building this curriculum with Enlight because we believe it reflects what developers everywhere should know.';
$string['tmonialtextdesc'] = '';

// Counter strings.
$string['countertabheading'] = "Counters";
$string['countBlockSetting'] = 'Counter general setting';
$string["BlockTitle"] = "Title";
$string["countBlockTitle_desc"] = 'To set the title for the counters heading block, enter the block title as plain text or use the "lang" prefix followed by the appropriate "language_key" for multi-lingual support.';
$string["countBlockTitle_default"] = "Counter Block";
$string["BlockDesc"] = "Description";
$string["countBlockDesc_desc"] = 'To set the description for the counters heading block, enter the block title as plain text or use the "lang" prefix followed by the appropriate "language_key" for multi-lingual support. You can find the theme language keys for multi-lingual support in the "/theme/enlight/lang/en/theme_enlight.php" file.';
$string["countBlockDesc_default"] = "Loreum ipsum is the dolor sit ament consicu maithura";
$string['counterbg_img'] = 'Background image';
$string['counterbgimg_desc'] = 'Please upload an image for the counters block background. The recommended image size is width=1350px and height=450px.';
$string["countBlockValue"] = "Counter value";
$string["countBlockValue_desc"] = 'To set the value for a counter, enter the numerical value and you may append special characters like %, +, ..., etc., to enhance its display.';
$string["countBlockContent"] = "Title";
$string["countBlockContent_desc"] = 'To set the title for the counters block, enter the block title as plain text or use the "lang" prefix followed by the appropriate "language_key" for multi-lingual support.';
$string["countBlockContent_default"] = 'Counter {$a->num}';
$string["countBlock"] = 'Counter {$a->num}';

// Our partner strings.
$string['partnersGeneral'] = "Partners general settings";
$string["ourpartnerheading"] = "Partners";
$string["ourPartnernum"] = "Numbers of partners";
$string["ourPartnernum_desc"] = 'This feature enables you to specify how many partners you want to showcase in the partner section on your website.';
$string['autoplay'] = 'Autoplay';
$string['ourPartnerAutoplay_desc'] = "To enable automatic scrolling of slides after the page loads, use this option. When enabled, the slider will automatically transition between slides without requiring user input or interaction.";
$string['ourPartner_autoTime'] = "Autoplay time interval";
$string['ourPartnerAutotime_desc'] = "To control the autoplay time interval for a slideshow or any auto-playing element, use this option to set the desired time duration. The value is specified in milliseconds, where 1 second is equal to 1000 milliseconds.";
$string["ourPartnertitle_desc"] = 'To set the title for the Partners heading block, enter the block title as plain text or use the "lang" prefix followed by the appropriate "language_key" for multi-lingual support.';
$string["ourpartnertitle_default"] = "Our partner";
$string["ourPartnerdesc_desc"] = 'To set the description for the Partners heading block, enter the block title as plain text or use the "lang" prefix followed by the appropriate "language_key" for multi-lingual support. You can find the theme language keys for multi-lingual support in the "/theme/enlight/lang/en/theme_enlight.php" file.';
$string["partner"] = "Partner";
$string["partnertitle"] = "Title";
$string["partnertitle_desc"] = 'To set the title for the Partner block, enter the block title as plain text or use the "lang" prefix followed by the appropriate "language_key" for multi-lingual support.';
$string["partnerimg"] = "Partner image";
$string["partnerimg_desc"] = 'Please upload an image for the partner block. The recommended image size is width=150px and height=170px.';
$string['partnerlink'] = "Partner URL";
$string['partnerlink_desc'] = "To set the link for the Partner logo, use this option. Enter the URL or web address where you want the button to redirect users when clicked.";

// Footer strings.
$string['footerheading'] = 'Footer';
$string['footerblock'] = 'Footer Block';
$string['footerb_statusdesc'] = 'This option allows you to control the visibility of the block and manage the content displayed on the front page effectively.';
$string['footerbtitledesc'] = 'To set the title for the footer block, enter the block title as plain text or use the "lang" prefix followed by the appropriate "language_key" for multi-lingual support.';
$string['footerbtitle1default'] = 'About us';
$string['footerdescription_desc'] = 'To set the description for the footer block, enter the block title as plain text or use the "lang" prefix followed by the appropriate "language_key" for multi-lingual support. You can find the theme language keys for multi-lingual support in the "/theme/enlight/lang/en/theme_enlight.php" file.';
$string['footerblink1default'] = '<div><p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Ut et lobortis diam.&nbsp;</p><p>Duis tellus enim, vestibulum eget varius id, vulputate et mi. Nullam feugiat, diam quis interdum varius</p></div><a href="#"><span style="color: #fff; font-weight: bold;">Start Learning Now</span></a>';
$string['footerbtitle2default'] = 'INFORMATION FOR';
$string['links'] = 'Links';
$string['footerblink_desc'] = 'Please enter the text/links to display the lists on the footer block.';
$string['footerblink2default'] = 'Future students|http://www.example.com/ International students |http://www.example.com/ Researchers|http://www.example.com/';
$string['footerbtitle3default'] = 'QUICK LINKS';
$string['footerblink3default'] = 'lang:about|http://www.example.com/about-us.php lang:jobs|http://www.example.com/jobs.php lang:contactus|http://www.example.com/contact-us.php lang:legal|http://www.example.com/legal.php';
$string['socialmediadesc'] = '<strong>This block contains social media icons</strong>';
$string["address"] = "Address";
$string['address_desc'] = "To include your address in the footer block, please provide the address details.";
$string["defaultaddress"] = "20-A , Nehru Street , Sathyamoorthi Nagar Madurai - 625010 , Tamilnadu , India.";
$string["emailid"] = "E-mail";
$string['email_desc'] = "To add your email address, please provide the email address you wish to display.";
$string["defaultemailid"] = "yourmailid@example.com";
$string["phoneno"] = "Phone Number";
$string['phone_desc'] = 'To include your phone number, please enter the phone number you want to display in the designated field.';
$string["defaultphoneno"] = "+123456789";
$string['footerbottomheading'] = 'Footer bottom';
$string['footerbottom_status'] = 'This option allows you to control the visibility of the block and manage the content displayed on the front page effectively..';
$string['copyright'] = 'Copyright content';
$string['copyrightdefault'] = 'Copyright &copy; 2017 - Your Company Name &reg;. All rights reserved.';
$string['copyrightdesc'] = 'To enter the copyright information, simply provide the text in plain format or use the "lang" prefix followed by the appropriate "language_key" for multi-lingual support.';
$string['siconenable_desc'] = 'To enable social media, use this option to show or hide social media.';
$string['socialicon'] = 'Social Media Icon';
$string['socialicondesc'] = 'please provide the name of the icon you wish to use from the list. Just enter the part that comes after "fa-" for the icon you want to display.';
$string['siconbgcdesc'] = 'To change the background color of Social Media icon, you can either use the color picker to select the desired color or directly enter the hexadecimal value of the color in the input field.';
$string['siconurl'] = 'Social Media Icon Url';
$string['siconurldesc'] = 'lease enter the URL of the social media profile corresponding to Social Media icon.';
$string['android_app'] = 'Mobile APP URL - Android';
$string['android_appdesc'] = 'To provide the mobile app download URL for the Android platform, please enter the URL where users can download the Android version of your app.';
$string['ios_app'] = 'To provide the mobile app download URL for iOS (Apple devices), please enter the URL where users can download the iOS version of your app.';
$string['ios_appdesc'] = 'Enter mobile app download URl for IOS platform';
$string['socialicon1default'] = 'twitter';
$string['socialicon2default'] = 'google-plus';
$string['socialicon3default'] = 'pinterest-p';
$string['socialicon4default'] = 'facebook-f';
$string['siconbgc1default'] = '#47caf6';
$string['siconbgc2default'] = '#e84c3d';
$string['siconbgc3default'] = '#cd2129';
$string['siconbgc4default'] = '#3598dc';
$string['siconurl1default'] = 'https://twitter.com/yourtwittername';
$string['siconurl2default'] = 'https://www.google.com/+yourgoogleplusid';
$string['siconurl3default'] = 'https://in.pinterest.com/yourpinterestname/';
$string['siconurl4default'] = 'https://www.facebook.com/yourfacebookid';
$string['footerbtitle4default'] = 'CONTACT US';


// Extra strings.
$string['about'] = 'About';
$string['bgcolor'] = 'Background Color';
$string['categories'] = "Categories";
$string['choosereadme'] = '<div class="clearfix"><div class="theme_screenshot"><img class=img-polaroid src="enlight/pix/screenshot.jpg" /><h3>Theme Credits</h3><p><h3>Moodle Enlight theme</h3><p>This theme is based on the Boost Moodle theme.</p><p>Authors: LMSACE Dev Team<br>Contact: info@lmsace.com<br>Website: <a target="_blank" href="http://www.lmsace.com">www.lmsace.com</a><br></p>';
$string['configtitle'] = 'Enlight';
$string['courses'] = 'Courses';
$string['enable'] = 'Enable';
$string['enlight_settings'] = "ENLIGHT THEME SETTINGS";
$string['footerblink'] = 'Footer Block Link';
$string['layout'] = 'Layout';
$string['newcourses'] = 'New courses';
$string['pluginname'] = 'Enlight';
$string['region-side-post'] = 'Right';
$string['region-side-pre'] = 'Left';
$string['signup'] = 'Sign up';
$string['disable'] = "Disable";
$string['testimonial'] = 'Testimonial';
$string['typography'] = 'Typography';
$string['url'] = 'Url';
$string['viewall'] = 'View all';
$string['loginheader'] = 'Login into your account';
$string['whatweoffer'] = 'What We Offer';
$string['courseexp'] = 'Course Experience';
$string['oursiteorg'] = 'Our Site for Organizations';
$string['helpfaq'] = 'Help and FAQ';
$string['feedbackprogram'] = 'Feedback Program';
$string['blog'] = 'Blog';
$string['meetups'] = 'Meetups';
$string['newsmedia'] = 'News & Media';
$string['about'] = 'About';
$string['jobs'] = 'Jobs';
$string['contactus'] = 'Contact Us';
$string['legal'] = 'Legal';
$string['information'] = 'Information';
$string['community'] = 'Community';
$string['ourorg'] = 'Our Organization';
$string['followuson'] = 'Follow us on';
$string['popularcourses'] = 'Popular courses';
$string['link'] = 'Link';
$string['text'] = 'Text';
$string['target'] = 'Target';
$string['mspot1title'] = 'Voluptatem dignissimos provident quasi corporis voluptates sit assumenda';
$string['mspot1desc'] = '<p> Ipsum in aspernatur ut possimus sint. Quia omnis est occaecati possimus ea. Quas molestiae perspiciatis occaecati qui rerum. Deleniti quod porro sed quisquam saepe. Numquam mollitia recusandae non ad at et a. </p> <p> Ad vitae recusandae odit possimus. Quaerat cum ipsum corrupti. Odit qui asperiores ea corporis deserunt veritatis quidem expedita perferendis. Qui rerum eligendi ex doloribus quia sit. Porro rerum eum eum. </p>';
$string['cat-placeholder'] = "Type the course name here...";
$string['slider_type'] = 'Carousel';
$string["custom_layout"] = "Custom layout";
$string['left'] = "Left";
$string['right'] = "Right";
$string['center'] = 'Center';
$string["flash"] = "Flash";
$string["bounceIn"] = "BounceIn";
$string["bounceInDown"] = "BounceInDown";
$string["bounceInLeft"] = "BounceInLeft";
$string["bounceInRight"] = "BounceInRight";
$string["bounceInUp"] = "BounceInUp";
$string["fadeIn"] = "FadeIn";
$string["fadeInDown"] = "FadeInDown";
$string["fadeInDownBig"] = "FadeInDownBig";
$string["fadeInLeft"] = "FadeInLeft";
$string["fadeInLeftBig"] = "FadeInLeftBig";
$string["fadeInRight"] = "FadeInRight";
$string["fadeInRightBig"] = "FadeInRightBig";
$string["fadeInUp"] = "FadeInUp";
$string["fadeInUpBig"] = "FadeInUpBig";
$string["fadeOut"] = "FadeOut";
$string["flip"] = "Flip";
$string["flipInX"] = "FlipInX";
$string["flipInY"] = "FlipInY";
$string["flipOutX"] = "FlipOutX";
$string["flipOutY"] = "FlipOutY";
$string["lightSpeedIn"] = "LightSpeedIn";
$string["rotateIn"] = "RotateIn";
$string["rotateInDownLeft"] = "RotateInDownLeft";
$string["rotateInDownRight"] = "RotateInDownRight";
$string["rotateInUpLeft"] = "RotateInUpLeft";
$string["rotateInUpRight"] = "RotateInUpRight";
$string["slideInUp"] = "SlideInUp";
$string["slideInDown"] = "SlideInDown";
$string["slideInLeft"] = "SlideInLeft";
$string["slideInRight"] = "SlideInRight";
$string["zoom-In"] = "Zoom-In";
$string["zoomInDown"] = "ZoomInDown";
$string["zoomInLeft"] = "ZoomInLeft";
$string["zoomInRight"] = "ZoomInRight";
$string["zoomInUp"] = "ZoomInUp";
$string["hinge"] = "Hinge";
$string["rollIn"] = "RollIn";
$string['random'] = 'Random';
$string['simpleFade'] = 'SimpleFade';
$string['curtainTopLeft'] = 'CurtainTopLeft';
$string['curtainTopRight'] = 'CurtainTopRight';
$string['curtainBottomLeft'] = 'CurtainBottomLeft';
$string['curtainBottomRight'] = 'CurtainBottomRight';
$string['curtainSliceLeft'] = 'CurtainSliceLeft';
$string['curtainSliceRight'] = 'CurtainSliceRight';
$string['blindCurtainTopLeft'] = 'BlindCurtainTopLeft';
$string['blindCurtainTopRight'] = 'BlindCurtainTopRight';
$string['blindCurtainBottomLeft'] = 'BlindCurtainBottomLeft';
$string['blindCurtainBottomRight'] = 'BlindCurtainBottomRight';
$string['blindCurtainSliceBottom'] = 'BlindCurtainSliceBottom';
$string['blindCurtainSliceTop'] = 'BlindCurtainSliceTop';
$string['stampede'] = 'Stampede';
$string['mosaic'] = 'Mosaic';
$string['mosaicReverse'] = 'MosaicReverse';
$string['mosaicRandom'] = 'MosaicRandom';
$string['mosaicSpiral'] = 'MosaicSpiral';
$string['mosaicSpiralReverse'] = 'MosaicSpiralReverse';
$string['topLeftBottomRight'] = 'TopLeftBottomRight';
$string['bottomRightTopLeft'] = 'BottomRightTopLeft';
$string['bottomLeftTopRight'] = 'BottomLeftTopRight';
$string['bottomLeftTopRight'] = 'BottomLeftTopRight';
$string['scrollLeft'] = 'ScrollLeft';
$string['scrollRight'] = 'ScrollRight';
$string['scrollHorz'] = 'ScrollHorz';
$string['scrollBottom'] = 'ScrollBottom';
$string['scrollTop'] = 'ScrollTop';
$string['userprofileUrl'] = "Profile URL";
$string['name'] = "Name";
$string['custom'] = "Custom";
$string["none"] = "None";
$string["topLeft"] = "TopLeft";
$string["topCenter"] = "TopCenter";
$string["topRight"] = "TopRight";
$string["centerLeft"] = "CenterLeft";
$string["center"] = "Center";
$string["centerRight"] = "CenterRight";
$string["bottomLeft"] = "BottomLeft";
$string["bottomCenter"] = "BottomCenter";
$string["bottomRight"] = "BottomRight";
$string["dots"] = "Dots";
$string["dotThumb"] = "Dots & Thumbnails";
$string["thumbnails"] = "Thumbnails";
$string["pagi_none"] = "No Pagination";
$string["image"] = "Image";
$string["imagecolor"] = "Theme colour + Background image";
$string["bgnone"] = "White background";
$string['overlay'] = "Theme colour";
$string['mspot1media'] = '<iframe src="https://www.youtube.com/embed/fNE7pyDyw3Y" allowfullscreen="" frameborder="0" height="391" width="545"></iframe>';
$string['search_courses'] = "Search Your Courses";
$string['seeprofile'] = "SEE PROFILE";
$string['typesearch'] = "Type and press Search";
$string['search'] = "Search";
$string["logintheme"] = "Enlight theme style";
$string['style'] = "Style";
$string['slidecaption1default'] = "A RESPONSIVE EDUCATION FOCUSED MOODLE THEME";
$string['slidedesc1default'] = "Filled with features for a stunning school or university website";
$string['slidecaption2default'] = "The Best || MOODLE THEME FOR LMS";
$string['slidedesc2default'] = "Crafted for learning management system";
$string['slidecaption3default'] = "FULLY RESPONSIVE DESIGN";
$string['slidedesc3default'] = "Looks perfect on all mobile devices";
$string['readmore'] = "Read More";
$string["contentOverlay"] = "Content overlay";
$string["sliderOverlay"] = "Fullslide overlay";
$string["doubleHeading"] = "Double title";
$string["themebased"] = "Plain theme colored";
$string['sb1_default_title'] = 'Course Creation';
$string['sb2_default_title'] = 'Mobile Learning';
$string['sb3_default_title'] = 'Gamification';
$string['sb4_default_title'] = 'Responsive';
$string['sb5_default_title'] = 'multilingual';
$string['sb6_default_title'] = 'Support';
$string['sb7_default_title'] = 'Design Pattern';
$string['sb8_default_title'] = 'service';
$string['sb9_default_title'] = 'Analtics';
$string['sb1_default_cnt'] = 'some options are creating course content in course creation.which means you need to bulid viedos and content in a separated system and import';
$string['sb2_default_cnt'] = 'some options are creating course content in course creation.which means you need to bulid viedos and content in a separated system and import';
$string['sb3_default_cnt'] = 'some options are creating course content in course creation.which means you need to bulid viedos and content in a separated system and import';
$string['sb4_default_cnt'] = 'some options are creating course content in course creation.which means you need to bulid viedos and content in a separated system and import';
$string['sb5_default_cnt'] = 'some options are creating course content in course creation.which means you need to bulid viedos and content in a separated system and import';
$string['sb6_default_cnt'] = 'some options are creating course content in course creation.which means you need to bulid viedos and content in a separated system and import';
$string['sb7_default_cnt'] = 'some options are creating course content in course creation.which means you need to bulid viedos and content in a separated system and import';
$string['sb8_default_cnt'] = 'some options are creating course content in mobile application';
$string['sb9_default_cnt'] = 'some options are creating course content in mobile application';
$string['style-1'] = 'Header-style-1';
$string['style-2'] = 'Header-style-2';
$string['style-3'] = 'Header-style-3';
$string['style-4'] = 'Header-style-4';
$string['style-5'] = 'Header-style-5';
$string['availablecourse'] = 'Available courses';
$string['mycourses'] = 'Mycourses';
$string['StartDate'] = 'StartDate';
$string['EndDate'] = 'EndDate';
$string['enrollnow'] = 'Enroll now';
$string['view'] = 'View';
$string['enrolls'] = 'Enrolls';
$string['siteannouncements'] = 'Site announcements';
$string['nocourses'] = 'No courses';
$string['enrollusers'] = 'Enroll users';
$string['activities'] = 'activities';
$string['resources'] = 'resources';
$string['teachers']  = 'Teachers';
$string['completeusers'] = 'Completed Users';
