<?php
// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

defined('MOODLE_INTERNAL') || die();

/**
 * A login page layout for the enlight theme.
 *
 * @package   theme_enlight
 * @copyright 2015 onwards Lmsace Team
 * @license   http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */
require_once($CFG->dirroot."/theme/enlight/layout/includes/header.php");
require_once($CFG->dirroot."/theme/enlight/layout/includes/footer.php");
$templatecontext = array_merge($headercontext, $footercontext);

$bodyattributes = $OUTPUT->body_attributes();
$enlightlogin = theme_enlight_get_setting("loginpageType");
$enlightlogin = ($PAGE->bodyid == 'page-login-index') ? $enlightlogin : false;
$templatecontext += [
    'sitename' => format_string($SITE->shortname, true, ['context' => context_course::instance(SITEID), "escape" => false]),
    'output' => $OUTPUT,
    'bodyattributes' => $bodyattributes,
    'enlightlogin' => $enlightlogin
];

echo $OUTPUT->render_from_template('theme_enlight/login', $templatecontext);