<?php
// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/**
 * Category images adminstration settings for enlight theme.
 *
 * @package    theme_enlight
 * @copyright  2015 onwards LMSACE Dev Team (http://www.lmsace.com)
 * @authors    LMSACE Dev Team
 * @license    http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

    // Category images.
    $temp = new admin_settingpage('theme_enlight_categoryimg', get_string('categoryimgheading', 'theme_enlight'));

    $temp->add(new admin_setting_heading('theme_enlight_categoryimg', get_string('categoryimgheadingsub', 'theme_enlight'),
    format_text(get_string('categoryimgdesc', 'theme_enlight'), FORMAT_MARKDOWN)));
    // Get all category IDs and their pretty names.

    // require_once($CFG->libdir . '/coursecatlib.php');
    $coursecats = core_course_category::make_categories_list();

    // Go through all categories and create the necessary settings.
    foreach ($coursecats as $key => $value) {
        // Category Icons for each category.
        $name = 'theme_enlight/categoryimg';
        $title = $value;
        $description = get_string('categoryimgcategory', 'theme_enlight', array('category' => $value));
        $default = 'categoryimg'.$key;
        $setting = new admin_setting_configstoredfile($name . $key, $title, $description, $default);
        $setting->set_updatedcallback('theme_reset_all_caches');
        $temp->add($setting);
    }
    unset($coursecats);
    $settings->add($temp);