<?php
// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/**
 * Marketing spot adminstration settings for enlight theme.
 *
 * @package    theme_enlight
 * @copyright  2015 onwards LMSACE Dev Team (http://www.lmsace.com)
 * @authors    LMSACE Dev Team
 * @license    http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

    // Marketing spot.
    $temp = new admin_settingpage('theme_enlight_marketingspot', get_string('frontpageheading', 'theme_enlight'));

    /* Marketing Spot 1*/
    $name = 'theme_enlight_mspot1heading';
    $heading = get_string('marketingspot', 'theme_enlight').' 1 ('.get_string('aboutustxt', 'theme_enlight').')';
    $information = '';
    $setting = new admin_setting_heading($name, $heading, $information);
    $temp->add($setting);

    // Marketing Spot 1 Title.

    // Marketing Spot 1 Enable or disable.
    $name = 'theme_enlight/marketingSpot1_status';
    $title = get_string('marketingSpot1_status', 'theme_enlight');
    $description = get_string('marketingSpot1_statusdesc', 'theme_enlight');
    $default = 1;
    $setting = new admin_setting_configcheckbox($name, $title, $description, $default);
    $temp->add($setting);
    // Marketing Spot 1 Enable or disable.

    // Marketing Spot 1 Title.
    $name = 'theme_enlight/mspot1title';
    $title = get_string('title', 'theme_enlight');
    $description = get_string('mspottitledesc', 'theme_enlight', array('msno' => '1'));
    $default = 'lang:aboutus';
    $setting = new admin_setting_configtextarea($name, $title, $description, $default);
    $temp->add($setting);

    // Marketing Spot 1 Description.
    $name = 'theme_enlight/mspot1desc';
    $title = get_string('description');
    $description = get_string('mspotdescdesc', 'theme_enlight', array('msno' => '1'));
    $default = 'lang:aboutusdesc';
    $setting = new admin_setting_configtextarea($name, $title, $description, $default, PARAM_RAW);
    $temp->add($setting);

    // Marketing spot 1 Media content.
    $name = 'theme_enlight/mspot1media';
    $title = get_string('media', 'theme_enlight');
    $description = get_string('mspotmediadesc', 'theme_enlight', array('msno' => '1'));
    $default = '<div style="display:none;">image</div><img src="https://res.cloudinary.com/lmsace/image/upload/v1593602097/about-img_rztwgu.jpg">';
    $setting = new admin_setting_confightmleditor($name, $title, $description, $default);
    $temp->add($setting);
    /* Marketing Spot 1*/

    /* Marketing Spot 2*/
    $name = 'theme_enlight_mspot2heading';
    $heading = get_string('marketingspot', 'theme_enlight').' 2 ( '.get_string('learntitle', 'theme_enlight')." )";
    $information = '';
    $setting = new admin_setting_heading($name, $heading, $information);
    $temp->add($setting);

    $name = 'theme_enlight/marketingSpot2_status';
    $title = get_string('marketingSpot2_status', 'theme_enlight');
    $description = get_string('marketingSpot2_statusdesc', 'theme_enlight');
    $default = 1;
    $setting = new admin_setting_configcheckbox($name, $title, $description, $default);
    $temp->add($setting);

    // Marketing Spot 2 Title.
    $name = 'theme_enlight/mspot2title';
    $title = get_string('title', 'theme_enlight');
    $description = get_string('mspottitledesc', 'theme_enlight', array('msno' => '2'));
    $default = 'lang:learnanytime';
    $setting = new admin_setting_configtext($name, $title, $description, $default);
    $temp->add($setting);

    // Marketing Spot 2 Description.
    $name = 'theme_enlight/mspot2desc';
    $title = get_string('description');
    $description = get_string('mspotdescdesc', 'theme_enlight', array('msno' => '2'));
    $default = 'lang:learnanytimedesc';
    $setting = new admin_setting_configtextarea($name, $title, $description, $default, PARAM_TEXT);
    $temp->add($setting);

    // Marketing Spot 2 Link Text.
    $name = 'theme_enlight/mspot2urltext';
    $title = get_string('button', 'theme_enlight').' '.get_string('text', 'theme_enlight');
    $description = get_string('mspot2urltxtdesc', 'theme_enlight', array('msno' => '2'));
    $default = 'lang:viewallcourses';
    $setting = new admin_setting_configtext($name, $title, $description, $default, PARAM_TEXT);
    $temp->add($setting);

    // Marketing Spot 2 Link.
    $name = 'theme_enlight/mspot2url';
    $title = get_string('button', 'theme_enlight').' '.get_string('link', 'theme_enlight');
    $description = get_string('mspot2urldesc', 'theme_enlight');
    $default = 'http://www.example.com/';
    $setting = new admin_setting_configtext($name, $title, $description, $default, PARAM_URL);
    $temp->add($setting);

    $name = 'theme_enlight/mspot2urltarget';
    $title = get_string('button', 'theme_enlight').' '.get_string('target', 'theme_enlight');
    $description = get_string('mspot2urltarget_desc', 'theme_enlight');
    $same = get_string('sameWindow', 'theme_enlight');
    $new = get_string('newWindow', 'theme_enlight');
    $default = 1;
    $choices = array(0 => $same , 1 => $new);
    $setting = new admin_setting_configselect($name, $title, $description, $default, $choices);
    $temp->add($setting);

    /* Marketing Spot 2*/
    $settings->add($temp);
