<?php
// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/**
 * Our team adminstration settings for enlight theme.
 *
 * @package    theme_enlight
 * @copyright  2015 onwards LMSACE Dev Team (http://www.lmsace.com)
 * @authors    LMSACE Dev Team
 * @license    http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

 // Our team.
    $temp = new admin_settingpage('theme_enlight_ourTeam', get_string('ourTeam', 'theme_enlight'));
    $temp->add(new admin_setting_heading('theme_enlight_ourTeam', get_string('ourTeamhead_sub', 'theme_enlight'),
    format_text(get_string('ourTeamdesc', 'theme_enlight'), FORMAT_MARKDOWN)));

    $name = 'theme_enlight/ourteamStatus';
    $title = get_string('activateblock', 'theme_enlight');
    $description = get_string('ourteamStatus_desc', 'theme_enlight');
    $default = 0;
    $setting = new admin_setting_configcheckbox($name, $title, $description, $default);
    $temp->add($setting);

    $name = 'theme_enlight/ourteamTitle';
    $title = get_string('title', 'theme_enlight');
    $description = get_string('ourteamTitle_desc', 'theme_enlight');
    $default = 'lang:ourTeam';
    $setting = new admin_setting_configtext($name, $title, $description, $default);
    $temp->add($setting);

    // Auto Scroll.
    $name = 'theme_enlight/ourteamAutoplay';
    $title = get_string('testimonialAutoplay', 'theme_enlight');
    $description = get_string('ourteamAutoplay_desc', 'theme_enlight');
    $yes = get_string('yes');
    $no = get_string('no');
    $default = 0;
    $choices = array(1 => $yes , 0 => $no);
    $setting = new admin_setting_configselect($name, $title, $description, $default, $choices);
    $temp->add($setting);

    $name = 'theme_enlight/numberofpersons';
    $title = get_string('numberofpersons', 'theme_enlight');
    $description = get_string('numberofpersons_desc', 'theme_enlight');
    $default = 1;
    $choices = array(
        1 => '1',
        2 => '2',
        3 => '3',
        4 => '4',
        5 => '5',
        6 => '6',
        7 => '7',
        8 => '8',
        9 => '9',
        10 => '10',
        11 => '11',
        12 => '12',
        13 => '13',
        14 => '14',
        15 => '15',
        16 => '16'
    );
    $temp->add(new admin_setting_configselect($name, $title, $description, $default, $choices));
    // No of testimonials.
    $numberofpersons = get_config('theme_enlight', 'numberofpersons');
    for ($i = 1; $i <= $numberofpersons; $i++) {

        $name = 'theme_enlight/team' . $i . 'info';
        $heading = get_string('team', 'theme_enlight', array('team' => $i));
        $information = get_string('teamdesc', 'theme_enlight', array('team' => $i));
        $setting = new admin_setting_heading($name, $heading, $information);
        $temp->add($setting);

        $name = 'theme_enlight/team' . $i . 'pname';
        $title = get_string('name', 'theme_enlight');
        $description = get_string('teamunamedesc', 'theme_enlight');
        $default = '';
        $setting = new admin_setting_configtext($name, $title, $description, $default, PARAM_TEXT);
        $temp->add($setting);

        $name = 'theme_enlight/team' . $i . 'position';
        $title = get_string('teamposition', 'theme_enlight');
        $description = get_string('teamposition_desc', 'theme_enlight');
        $default = '';
        $setting = new admin_setting_configtext($name, $title, $description, $default, PARAM_TEXT);
        $temp->add($setting);

        // Social media icon 1 - name.
        $name = 'theme_enlight/team'.$i.'socialIcon1';
        $title = get_string('teamSocialicon', 'theme_enlight').' 1 ';
        $description = get_string('teamSocialicon_desc', 'theme_enlight', array('icon' => 'facebook'));
        $default = get_string('team_socialicon1default', 'theme_enlight');
        $setting = new admin_setting_configtext($name, $title, $description, $default);
        $temp->add($setting);

        // Social Media Icon Url 1.
        $name = 'theme_enlight/team'.$i.'sIconurl1';
        $title = get_string('teamSocialicon', 'theme_enlight').' 1 '.get_string('url', 'theme_enlight');
        $description = get_string('team_siconurl_desc', 'theme_enlight', array('icon' => 'facebook'));
        $default = get_string('siconurl4default', 'theme_enlight');
        $setting = new admin_setting_configtext($name, $title, $description, $default);
        $temp->add($setting);

        // scoial icon 2
        $name = 'theme_enlight/team'.$i.'socialIcon2';
        $title = get_string('teamSocialicon', 'theme_enlight').' 2 ';
        $description = get_string('teamSocialicon_desc', 'theme_enlight', array('icon' => 'twitter'));
        $default = get_string('team_socialicon2default', 'theme_enlight');
        $setting = new admin_setting_configtext($name, $title, $description, $default);
        $temp->add($setting);

        // Social Media Icon Url 1.
        $name = 'theme_enlight/team'.$i.'sIconurl2';
        $title = get_string('teamSocialicon', 'theme_enlight').' 2 '.get_string('url', 'theme_enlight');
        $description = get_string('team_siconurl_desc', 'theme_enlight', array('icon' => 'twitter'));
        $default = get_string('siconurl1default', 'theme_enlight');
        $setting = new admin_setting_configtext($name, $title, $description, $default);
        $temp->add($setting);

        // Social Icon 3
        $name = 'theme_enlight/team'.$i.'socialIcon3';
        $title = get_string('teamSocialicon', 'theme_enlight').' 3 ';
        $description = get_string('teamSocialicon_desc', 'theme_enlight', array('icon' => 'google-plus'));
        $default = get_string('team_socialicon3default', 'theme_enlight');
        $setting = new admin_setting_configtext($name, $title, $description, $default);
        $temp->add($setting);

        // Social Media Icon Url 3.
        $name = 'theme_enlight/team'.$i.'sIconurl3';
        $title = get_string('teamSocialicon', 'theme_enlight').' 3 '.get_string('url', 'theme_enlight');
        $description = get_string('team_siconurl_desc', 'theme_enlight', array('icon' => 'google'));
        $default = get_string('team_siconurl3default', 'theme_enlight');
        $setting = new admin_setting_configtext($name, $title, $description, $default);
        $temp->add($setting);

        // Social icon 4
        $name = 'theme_enlight/team'.$i.'socialIcon4';
        $title = get_string('teamSocialicon', 'theme_enlight').' 4 ';
        $description = get_string('teamSocialicon_desc', 'theme_enlight', array('icon' => 'pinterest-p'));
        $default = get_string('team_socialicon4default', 'theme_enlight');
        $setting = new admin_setting_configtext($name, $title, $description, $default);
        $temp->add($setting);

        // Social Media Icon Url 3.
        $name = 'theme_enlight/team'.$i.'sIconurl4';
        $title = get_string('teamSocialicon', 'theme_enlight').' 4 '.get_string('url', 'theme_enlight');
        $description = get_string('team_siconurl_desc', 'theme_enlight', array('icon' => 'pinterest'));
        $default = get_string('team_siconurl4default', 'theme_enlight');
        $setting = new admin_setting_configtext($name, $title, $description, $default);
        $temp->add($setting);

        $name = 'theme_enlight/team'.$i.'img';
        $title = get_string('teamImg', 'theme_enlight');
        $description = get_string('teamImg_desc', 'theme_enlight');
        $default = 'team'.$i.'img';
        $setting = new admin_setting_configstoredfile($name, $title, $description, $default);
        $setting->set_updatedcallback('theme_reset_all_caches');
        $temp->add($setting);
    }
    $settings->add($temp);
