/**
 * Pro magic authentication define js.
 * @module   auth_magic
 * @copyright  2022 bdecent gmbh <https://bdecent.de>
 * @license   http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */
define("auth_magic/magic",["jquery","core/fragment","core/modal_factory","core/modal_events","core/notification","core/str","core/templates","core/ajax"],(function($,Fragment,ModalFactory,ModalEvents,notification,Str,Templates,Ajax){var MAGIC,Magic=function(params){return MAGIC=this,void 0!==params.enrolstatus&&this.displayAuthInfoBox(params),void 0!==params.cancopylink&&this.copyuserLoginlink(params.cancopylink),params.hascourseregister&&this.courseQuickRegistration(params),void 0!==params.copycampaignlink&&(this.copyCampaignLink(params,"table .action-copy"),this.copyCampaignLink(params,"table .action-couponlink")),void 0!==params.campaignformfield&&(this.vaildateCampaignFormFields(),this.changeFormField(params),this.campaignHandler()),this.campaignCourse(),!0};return Magic.prototype.campaignCourse=function(){var self=this,campaignCourse=document.querySelector("#fitem_id_campaigncourse select#id_campaigncourse");campaignCourse&&(campaignCourse.addEventListener("change",(function(e){self.setCampaigncourseGroupings(e.target.value,campaignCourse),self.enrolmentKeyFormFieldHandler(e.target.value)})),self.setCampaigncourseGroupings(campaignCourse.value,campaignCourse),self.enrolmentKeyFormFieldHandler(campaignCourse.value));var campaignGroup=document.querySelector("#fitem_id_campaigngroups select#id_campaigngroups");campaignGroup&&campaignGroup.addEventListener("change",(function(){self.setCampaigncourseGroupings(campaignCourse.value,campaignCourse)}))},Magic.prototype.enrolmentKeyFormFieldHandler=function(courseid){"0"==courseid?$("#id_courseenrolmentkey option[value='strict']").length>0&&$("#id_courseenrolmentkey option[value='strict']").remove():0==$("#id_courseenrolmentkey option[value='strict']").length&&Str.get_string("campaigns:strict","auth_magic").done((function(localizedEditString){$("#id_courseenrolmentkey").append("<option value='strict'>"+localizedEditString+"</option>")}))},Magic.prototype.setCampaigncourseGroupings=function(courseid){var self=this,groupingElement=document.querySelector("#fitem_id_campaigngrouping select#id_campaigngrouping");if($("#id_campaigncourseheadingcontainer .alert-info").remove(),"0"==courseid)return!1;groupingElement.innerHTML="",Str.get_string("disabled","auth_magic").done((function(localizedEditString){self.insertOptionSelectbox("0",localizedEditString,groupingElement)})),Ajax.call([{methodname:"auth_magic_get_course_groupings",args:{courseid:courseid,campaignid:$('input[name="campaignid"]').attr("value")},done:function(data){data.groupings.forEach((list=>{self.insertOptionSelectbox(list.id,list.name,groupingElement)})),data.courseinfo.campaign_grouping&&$("select#id_campaigngrouping option[value="+data.courseinfo.campaign_grouping+"]").length&&(groupingElement.value=data.courseinfo.campaign_grouping);var campaignCourseHandler=document.querySelector("#fitem_id_campaigncourse");campaignCourseHandler&&(data.courseinfo.is_separtegroup||campaignCourseHandler.insertAdjacentHTML("afterend",data.courseinfo.separtegroupinfo),data.courseinfo.is_available_selfenrol?self.showGrouping():(campaignCourseHandler.insertAdjacentHTML("afterend",data.courseinfo.selfenrolinfo),self.hideGrouping()))}}])},Magic.prototype.hideGrouping=function(){$("#fitem_id_groupcapacity").hide(),$("#fitem_id_campaigngrouping").hide()},Magic.prototype.showGrouping=function(){$("#fitem_id_groupcapacity").show(),$("#fitem_id_campaigngrouping").show()},Magic.prototype.insertOptionSelectbox=function(value,text,element){var option=document.createElement("option");option.value=value,option.text=text,element.add(option)},Magic.prototype.campaignHandler=function(){var self=this,fieldHandler=document.querySelector("#id_securitysectioncontainer #fitem_id_emailconfirm select");fieldHandler&&(fieldHandler.addEventListener("change",(function(e){self.campaignSubmissionHandler(e.target.value)})),self.campaignSubmissionHandler(fieldHandler.value))},Magic.prototype.campaignSubmissionHandler=function(value){var submissonHandler=document.querySelector("#fitem_id_redirectaftersubmisson select#id_redirectaftersubmisson"),submissonHandlerOptions=Array.from(submissonHandler.options).map((opt=>opt.value)),addOption=document.createElement("option");addOption.value="redirecturl",Str.get_string("campaigns:redirecturl","auth_magic").done((function(localizedEditString){addOption.text=localizedEditString})),"1"==value?submissonHandlerOptions.includes("redirecturl")&&submissonHandler.options.remove(submissonHandler.options.length-1):submissonHandlerOptions.includes("redirecturl")||submissonHandler.options.add(addOption)},Magic.prototype.changeFormField=function(params){var self=this,fieldHandler=document.querySelector("#id_formfieldsection #fitem_id_linkfields select");fieldHandler&&fieldHandler.addEventListener("change",(function(e){params.relateduser=e.target.value,params.currentcampaignid=$('input[name="campaignid"]').attr("value"),self.getUserFormField(params)}))},Magic.prototype.getUserFormField=function(params){var fragment=Fragment.loadFragment("auth_magic","get_user_formfield",params.contextid,params);document.querySelectorAll("body")[0].classList.add("load-icon"),fragment.done(function(html,js){var currentMformID=$("#page-auth-magic-campaigns-edit .mform").attr("id");js=js.replace(/mform1_[A-Za-z0-9]+/g,currentMformID);var tempElement=document.createElement("div");tempElement.innerHTML=html;var collapseSectionsId=$("#"+currentMformID+" .collapsible-actions a").attr("id");collapseSectionsId&&(js=js.replace(/#collapsesections[A-Za-z0-9]+/g,"#"+collapseSectionsId));var formfields=tempElement.querySelector("#id_formfieldsection");$("#page-auth-magic-campaigns-edit .mform #id_formfieldsection").replaceWith(formfields),$("#id_formfieldsection a[data-toggle='collapse']").attr("aria-expanded","true"),$("#id_formfieldsection a[data-toggle='collapse']").removeClass("collapsed"),$("#id_formfieldsection #id_formfieldsectioncontainer").addClass("show"),Templates.runTemplateJS(js),$("#id_formfieldsection select#id_linkfields").val(params.relateduser),document.querySelectorAll("body")[0].classList.remove("load-icon")}.bind(this)).fail(notification.exception)},Magic.prototype.vaildateCampaignFormFields=function(){var self=this,otherFiedlsHandler=document.querySelectorAll("#id_formfieldsection .campaign_otherform_fields select");otherFiedlsHandler&&otherFiedlsHandler.forEach((item=>{item.addEventListener("change",(function(e){self.rearrangeFormFields(e.target)})),self.disableEmptyField(item),self.rearrangeFormFields(item)}))},Magic.prototype.disableEmptyField=function(currentElement){if(0==currentElement.options.length){setTimeout((function(){var option=document.createElement("option");option.value="none",Str.get_string("none","auth_magic").done((function(localizedEditString){option.text=localizedEditString})),option.selected=!0,currentElement.options.add(option),currentElement.disabled=!0}),500);var currentField=currentElement.getAttribute("data-field"),currentFieldOption=document.querySelector("select[name='"+currentField+"_option']");Array.from(currentFieldOption.options).map((opt=>opt.value)).includes("50")&&currentFieldOption.options.remove(currentFieldOption.options.length-1)}},Magic.prototype.rearrangeFormFields=function(currentElement){var currentSelectval=currentElement.value;if(currentSelectval){var currentField=currentElement.getAttribute("data-field"),changeSelectField=document.querySelector("#id_formfieldsection .campaign_otherform_fields #id_"+currentSelectval+"_otherfield");if(changeSelectField){for(var changeSelectFieldValues=this.getFieldDefaultValues(currentSelectval),changeSelectFieldDefault=changeSelectField.value,i=changeSelectField.options.length;i>=0;i--)changeSelectField.options.remove(i);for(var j=0;j<changeSelectFieldValues.length;j++){let optionfield=document.querySelector("select[name='"+Object.keys(changeSelectFieldValues[j])+"_otherfield']");if(null!=optionfield&&optionfield.value!=currentSelectval)(option=document.createElement("option")).value=Object.keys(changeSelectFieldValues[j]),option.text=Object.values(changeSelectFieldValues[j]),changeSelectFieldDefault==option.value&&(option.selected=!0),changeSelectField.options.add(option)}}var currentFieldPreValue=document.querySelector("input[name='"+currentField+"_otherfield_prevalue']");if(null!=currentFieldPreValue&&""!=currentFieldPreValue.value){var fieldPreValues=this.getFieldDefaultValues(currentFieldPreValue.value),index=fieldPreValues.findIndex((function(obj){return obj.hasOwnProperty(currentField)}));if(index){var option,changePreSelectField=document.querySelector("#id_formfieldsection .campaign_otherform_fields #id_"+currentFieldPreValue.value+"_otherfield");if(changePreSelectField)(option=document.createElement("option")).value=Object.keys(fieldPreValues[index]),option.text=Object.values(fieldPreValues[index]),changePreSelectField.insertBefore(option,changePreSelectField.options[index])}}currentFieldPreValue&&(currentFieldPreValue.value=currentSelectval)}},Magic.prototype.getFieldDefaultValues=function(currentSelectval){var changeSelectFieldValues=[];return document.querySelectorAll("input[name='"+currentSelectval+"_otherfield_value[]']").forEach((function(inputElement){var val={};val[inputElement.value]=inputElement.getAttribute("data-value"),changeSelectFieldValues.push(val)})),changeSelectFieldValues},Magic.prototype.courseQuickRegistration=function(params){var handleSelector=".pagelayout-incourse [data-table-uniqueid="+("user-index-participants-"+params.courseid)+"]",addHandler=document.querySelectorAll(handleSelector);if(addHandler){var singleButton=document.createElement("div");singleButton.setAttribute("class","singlebutton quickregister-button");var form=document.createElement("form");form.setAttribute("method","get"),form.setAttribute("action",params.url),form.setAttribute("id","quickregister-button");var courseblock=document.createElement("input");courseblock.setAttribute("type","hidden"),courseblock.setAttribute("name","courseid"),courseblock.setAttribute("value",params.courseid);var submit=document.createElement("input");submit.setAttribute("type","submit"),submit.setAttribute("value",params.strquickregister),submit.setAttribute("class","btn btn-secondary my-1"),form.appendChild(courseblock),form.appendChild(submit),singleButton.appendChild(form),addHandler[0].appendChild(singleButton)}},Magic.prototype.copyuserLoginlink=function(cancopylink){var self=this;if(cancopylink){var invitationlink=document.querySelectorAll("table.magicinvitationlink .magic-invitationlink");invitationlink&&invitationlink.forEach((function(items){items.addEventListener("click",(function(e){e.preventDefault();var userlogin=e.currentTarget.getAttribute("data-invitationlink");self.copyText(userlogin)}))}))}},Magic.prototype.copyTextCliboard=function(){var copyTextBlock=document.querySelectorAll(".auth-magic-block #copy-text")[0];copyTextBlock&&(this.copyText(copyTextBlock.value,!0),copyTextBlock.select())},Magic.prototype.copyText=function(copytext){let modal=arguments.length>1&&void 0!==arguments[1]&&arguments[1];if(void 0===navigator.clipboard){var textArea=document.createElement("textarea");textArea.value=copytext,textArea.style.top="0",textArea.style.left="0",textArea.style.position="fixed",modal?document.querySelectorAll(".modal .modal-content")[0].appendChild(textArea):document.body.appendChild(textArea),textArea.focus(),textArea.select();try{document.execCommand("copy")}catch(err){return!1}modal?document.querySelectorAll(".modal .modal-content")[0].removeChild(textArea):document.body.removeChild(textArea)}else navigator.clipboard.writeText(copytext);return!0},Magic.prototype.copyCampaignLink=function(params,element){document.querySelectorAll(element).forEach((campaign=>{campaign.addEventListener("click",(e=>{e.preventDefault();var link=e.currentTarget.dataset.campaignlink;params.campaignlink=link,params.campaign=!0,ModalFactory.create({title:params.campaigntitle,type:ModalFactory.types.CANCEL,body:Templates.render("auth_magic/modalbox",params),large:!0}).then((function(modal){return modal.show(),modal.getRoot().on(ModalEvents.bodyRendered,(function(){var copyBoardButton=document.querySelectorAll(".auth-magic-block .copy-link-block #copy-cliboard")[0];copyBoardButton&&copyBoardButton.addEventListener("click",(()=>{MAGIC.copyText(link);var copyBoardElement=document.querySelectorAll(".auth-magic-block #copy-campaign-link")[0];copyBoardElement&&copyBoardElement.select()}))})),modal.getRoot().on(ModalEvents.hidden,(function(){modal.destroy()})),modal})).catch(notification.exception)}))}))},Magic.prototype.getAuthMagicBody=function(params){return Fragment.loadFragment("auth_magic","display_box_content",params.contextid,params)},Magic.prototype.getAuthMagicCampaignBody=function(params){return Fragment.loadFragment("auth_magic","get_campaign_body",params.contextid,params)},Magic.prototype.displayAuthInfoBox=function(params){var self=this;ModalFactory.create({title:params.strconfirm,type:ModalFactory.types.CANCEL,body:self.getAuthMagicBody(params),large:!0}).then((function(modal){return modal.show(),modal.getRoot().on(ModalEvents.bodyRendered,(function(){var copyBoardButton=document.querySelectorAll(".auth-magic-block .copy-link-block #copy-cliboard")[0];copyBoardButton&&copyBoardButton.addEventListener("click",self.copyTextCliboard.bind(self))})),modal.getRoot().on(ModalEvents.hidden,(function(){modal.destroy(),window.open(params.returnurl,"_self")})),modal})).catch(notification.exception)},Magic.prototype.getAuthMagicBody=function(params){return Fragment.loadFragment("auth_magic","display_box_content",params.contextid,params)},{init:function(params){return new Magic(params)}}}));

//# sourceMappingURL=magic.min.js.map