/**
 * Javascript controller for the socialcomments block.
 *
 * @module     block_socialcomments/comments
 * @copyright 2021, bdecent gmbh bdecent.de
 * @license    http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */
define("block_socialcomments/comments",["jquery","core/ajax","core/notification","core/str"],(function($,ajax,notification,corestr){var params=null,editcommentid=0,replycommentid=0,replyid=0,menunumber=-1,pagenumber=0,$formtextarea=null,$formactionpost=null,$edittextarea=null,$editactionsave=null,$replytextarea=null,$replyactionsave=null,$commentscontent=null;function alertPostEmpty(content){return!content&&(corestr.get_strings([{key:"error"},{key:"pleaseinputtext",component:"block_socialcomments"}]).done((function(s){notification.alert(s[0],s[1])})).fail(notification.exception),!0)}function moveForms(){$("#ccomment-editform-wrap").append($("#ccomment-editform")),resetEditComment(),$("#ccomment-replyform-wrap").append($("#ccomment-replyform")),resetReplyComment()}function loadCommentsPage(newpagenumber){moveForms(),ajax.call([{methodname:"block_socialcomments_get_commentspage",args:{contextid:params.contextid,pagenumber:newpagenumber,hidepins:params.hidepins},done:function(response){pagenumber=response.pagenumber,$("#ccomment-commentspage-wrap").html(response.commentspage)},fail:notification.exception}],!1)}function saveComment($textarea,commentid){var content=$textarea.val(),groupid=$("#ccomments-groupid").val();alertPostEmpty(content)||ajax.call([{methodname:"block_socialcomments_save_comment",args:{contextid:params.contextid,content:content,groupid:groupid,id:commentid},done:function(response){$(".ccomment-comments-count").html(response.count),$("#ccomment-comments-content-top").removeClass("hidden"),$textarea.val(""),0===commentid?(loadCommentsPage(-1),$("#ccomment-comments-subscribed").prop("checked",!0)):loadCommentsPage(pagenumber);var comment=$("#ccomment-comment-listitem-"+response.id),win=$(window);comment.offset().top>win.scrollTop()+win.height()&&$("html, body").animate({scrollTop:comment.offset().top-comment.outerHeight()},1e3)},fail:notification.exception}],!1)}function onCommentDeleteDone(response){moveForms(),corestr.get_string("commentdeleted","block_socialcomments").done((function(s){$("#ccomment-comment-listitem-"+response.deletedcommentid).addClass("ccomment-highlight"),$("#ccomment-comment-listitem-"+response.deletedcommentid).html(s).fadeOut(2e3,(function(){loadCommentsPage(pagenumber)}))})),corestr.get_string("commentscount","block_socialcomments",response.count).done((function(s){$(".ccomment-comments-count").html(s)})),0!==response.count||params.subscribed||$("#ccomment-comments-content-top").addClass("hidden")}function onReplyDeleteDone(response){moveForms(),corestr.get_string("replydeleted","block_socialcomments").done((function(s){$("#ccomment-reply-"+response.deletedreplyid).addClass("ccomment-highlight"),$("#ccomment-reply-"+response.deletedreplyid).html(s).fadeOut(2e3,(function(){loadCommentsPage(pagenumber)}))}))}function cancelReplyComment(){$("#ccomment-replyform-wrap").append($("#ccomment-replyform")),$("#ccomment-reply-"+replyid+" .ccomment-post-content").show(),resetReplyComment()}function resetReplyComment(){replyid=0,$replytextarea.attr("data-replyid",0),replycommentid=0,$replytextarea.attr("data-commentid",0),$replytextarea.val("")}function cancelEditComment(){$("#ccomment-editform-wrap").append($("#ccomment-editform")),$("#ccomment-post-"+editcommentid+" .ccomment-post-content").show(),resetEditComment()}function resetEditComment(){editcommentid=0,$edittextarea.attr("data-commentid",0),$edittextarea.val("")}function hideMenu(){menunumber>=0&&($("#ccomment-comments-content #action-menu-"+menunumber).removeClass("show"),$("#ccomment-comments-content #action-menu-"+menunumber).removeAttr("data-enhanced"),menunumber=-1)}function highlightActionButton($actionbutton,content){content?$actionbutton.addClass("ccomment-highlight-button"):$actionbutton.removeClass("ccomment-highlight-button")}function initCommentForms(){$formtextarea=$("#ccomment-form-textarea"),($formactionpost=$("#ccomment-form-action-post")).click((function(){saveComment($formtextarea,0),highlightActionButton($formactionpost,$formtextarea.val())})),$formtextarea.keyup((function(){highlightActionButton($formactionpost,$formtextarea.val())})),$("#ccomment-form-action-cancel").click((function(){$formtextarea.val(""),$formactionpost.removeClass("ccomment-highlight-button")})),$edittextarea=$("#ccomment-edit-textarea"),($editactionsave=$("#ccomment-edit-action-save")).click((function(){(editcommentid=$edittextarea.attr("data-commentid"))>0&&(saveComment($edittextarea,editcommentid),highlightActionButton($editactionsave,$edittextarea.val()))})),$("#ccomment-edit-action-cancel").click((function(){editcommentid>0&&(cancelEditComment(),resetEditComment())})),$edittextarea.keyup((function(){highlightActionButton($editactionsave,$edittextarea.val())})),$commentscontent.delegate('a[id^="ccomment-post-action-delete-"]',"click",(function(e){var $href;e.preventDefault(),$href=$(this),ajax.call([{methodname:"block_socialcomments_delete_comment",args:{commentid:Number($href.attr("id").split("-")[4])},done:onCommentDeleteDone,fail:notification.exception}])})),$commentscontent.delegate('a[id^="ccomment-post-action-edit-"]',"click",(function(e){e.preventDefault(),function($href){cancelEditComment(),editcommentid=Number($href.attr("id").split("-")[4]),$edittextarea.attr("data-commentid",editcommentid);var $contentdiv=$("#ccomment-post-"+editcommentid+" .ccomment-post-content");$edittextarea.val($contentdiv.html()),$contentdiv.after($("#ccomment-editform")),$contentdiv.hide()}($(this))})),$commentscontent.delegate('a[id^="ccomment-reply-"]',"click",(function(e){var $href;e.preventDefault(),$href=$(this),cancelReplyComment(),replycommentid=Number($href.attr("id").split("-")[2]),$replytextarea.attr("data-commentid",replycommentid),$("#ccomment-reply-list-"+replycommentid).before($("#ccomment-replyform"))}))}function initReplyForms(){$replytextarea=$("#ccomment-reply-textarea"),($replyactionsave=$("#ccomment-reply-action-save")).click((function(){!function($textarea,replyid){var content=$textarea.val();alertPostEmpty(content)||ajax.call([{methodname:"block_socialcomments_save_reply",args:{contextid:params.contextid,content:content,commentid:replycommentid,id:replyid},done:function(){$textarea.val(""),loadCommentsPage(pagenumber)},fail:notification.exception}],!1)}($replytextarea,replyid),highlightActionButton($replyactionsave,$replytextarea.val())})),$("#ccomment-reply-action-cancel").click((function(){cancelReplyComment(),resetReplyComment()})),$replytextarea.keyup((function(){highlightActionButton($replyactionsave,$replytextarea.val())})),$commentscontent.delegate('a[id^="ccomment-reply-action-delete-"]',"click",(function(e){var $href;e.preventDefault(),$href=$(this),ajax.call([{methodname:"block_socialcomments_delete_reply",args:{replyid:Number($href.attr("id").split("-")[4])},done:onReplyDeleteDone,fail:notification.exception}])})),$commentscontent.delegate('a[id^="ccomment-reply-action-edit-"]',"click",(function(e){e.preventDefault(),function($href){cancelReplyComment(),replyid=Number($href.attr("id").split("-")[4]),$replytextarea.attr("data-replyid",replyid);var $contentdiv=$("#ccomment-reply-"+replyid+" .ccomment-post-content");$replytextarea.val($contentdiv.html()),$contentdiv.after($("#ccomment-replyform")),$contentdiv.hide()}($(this))}))}return{init:function(initparams){params=initparams,$commentscontent=$("#ccomment-comments-content"),initCommentForms(),initReplyForms(),$(".block_socialcomments").delegate('input[id^="ccomment-pinned-"]',"click",(function(){var $checkbox;$checkbox=$(this),ajax.call([{methodname:"block_socialcomments_set_pinned",args:{contextid:params.contextid,checked:$checkbox.prop("checked"),commentid:Number($checkbox.attr("id").split("-")[2])},done:function(response){$checkbox.prop("checked",response.checked),$checkbox.parent().find(".ccomments-pin-tooltip").html(response.tooltip)},fail:notification.exception}])})),$("#ccomment-comments-subscribed").click((function(){var $checkbox;$checkbox=$(this),ajax.call([{methodname:"block_socialcomments_set_subscribed",args:{contextid:params.contextid,checked:$checkbox.prop("checked")},done:function(response){params.subscribed=response.checked,$checkbox.prop("checked").prop("checked",params.subscribed)},fail:notification.exception}])})),$commentscontent.delegate('a[id^="action-menu-toggle-"]',"click",(function(e){var href;e.preventDefault(),href=$(this),hideMenu(),menunumber=Number(href.attr("id").split("-")[3]),$("#ccomment-comments-content #action-menu-"+menunumber).addClass("show"),$("#ccomment-comments-content #action-menu-"+menunumber).attr("data-enhanced",1)})),$commentscontent.delegate('a[id^="ccomment-pagelink-"]',"click",(function(e){var $href;e.preventDefault(),$href=$(this),loadCommentsPage(pagenumber=Number($href.attr("id").split("-")[2]))})),$(window).click((function(){hideMenu()}))}}}));

//# sourceMappingURL=comments.min.js.map