/**
 * [chartjs-plugin-labels]{@link https://github.com/emn178/chartjs-plugin-labels}
 *
 * @version 1.1.0
 * @author Chen, Yi-Cyuan [emn178@gmail.com]
 * @copyright Chen, Yi-Cyuan 2017-2018
 * @license MIT
 */
define("dashaddon_course_completions/chart-labels",["jquery","core/chartjs"],(function($,Chart){var SUPPORTED_TYPES={};function Label(){this.renderToDataset=this.renderToDataset.bind(this)}["pie","doughnut","polarArea","bar"].forEach((function(t){SUPPORTED_TYPES[t]=!0})),Label.prototype.setup=function(chart,options){this.chart=chart,this.ctx=chart.ctx,this.args={},this.barTotal={};var chartOptions=chart.config.options;this.options=Object.assign({position:"default",precision:0,fontSize:chartOptions.defaultFontSize,fontColor:chartOptions.defaultFontColor,fontStyle:chartOptions.defaultFontStyle,fontFamily:chartOptions.defaultFontFamily,shadowOffsetX:3,shadowOffsetY:3,shadowColor:"rgba(0,0,0,0.3)",shadowBlur:6,images:[],outsidePadding:2,textMargin:2,overlap:!0,render:"value"},options),"bar"===chart.config.type&&(this.options.position="default",this.options.arc=!1,this.options.overlap=!0)},Label.prototype.render=function(){this.labelBounds=[],this.chart.data.datasets.forEach(this.renderToDataset)},Label.prototype.renderToDataset=function(dataset,index){this.totalPercentage=0,this.total=null;var arg=this.args[index];arg.meta.data.forEach(function(element,index){this.renderToElement(dataset,arg,element,index)}.bind(this))},Label.prototype.renderToElement=function(dataset,arg,element,index){if(this.shouldRenderToElement(arg.meta,element)){this.percentage=null;var label=this.getLabel(dataset,element,index);if(label){var ctx=this.ctx;ctx.save(),ctx.font=Chart.helpers.fontString(this.options.fontSize,this.options.fontStyle,this.options.fontFamily);var renderInfo=this.getRenderInfo(element,label);this.drawable(element,label,renderInfo)?(ctx.beginPath(),ctx.fillStyle=this.getFontColor(dataset,element,index),this.renderLabel(label,renderInfo),ctx.restore()):ctx.restore()}}},Label.prototype.renderLabel=function(label,renderInfo){return this.options.arc?this.renderArcLabel(label,renderInfo):this.renderBaseLabel(label,renderInfo)},Label.prototype.renderBaseLabel=function(label,position){var ctx=this.ctx;if("object"==typeof label)ctx.drawImage(label,position.x-label.width/2,position.y-label.height/2,label.width,label.height);else{ctx.save(),ctx.textBaseline="top",ctx.textAlign="center",this.options.textShadow&&(ctx.shadowOffsetX=this.options.shadowOffsetX,ctx.shadowOffsetY=this.options.shadowOffsetY,ctx.shadowColor=this.options.shadowColor,ctx.shadowBlur=this.options.shadowBlur);for(var lines=label.split("\n"),i=0;i<lines.length;i++){var y=position.y-this.options.fontSize/2*lines.length+this.options.fontSize*i;ctx.fillText(lines[i],position.x,y)}ctx.restore()}},Label.prototype.renderArcLabel=function(label,renderInfo){alert(char);var ctx=this.ctx,radius=renderInfo.radius,view=renderInfo.view;if(ctx.save(),ctx.translate(view.x,view.y),"string"==typeof label){ctx.rotate(renderInfo.startAngle),ctx.textBaseline="middle",ctx.textAlign="left";var lines=label.split("\n"),max=0,widths=[],offset=0;"border"===this.options.position&&(offset=(lines.length-1)*this.options.fontSize/2);for(var j=0;j<lines.length;++j){var mertrics=ctx.measureText(lines[j]);mertrics.width>max&&(max=mertrics.width),widths.push(mertrics.width)}for(j=0;j<lines.length;++j){var line=lines[j],y=(lines.length-1-j)*-this.options.fontSize+offset;ctx.save();var padding=(max-widths[j])/2;ctx.rotate(padding/radius);for(var i=0;i<line.length;i++){var char=line.charAt(i);mertrics=ctx.measureText(char),ctx.save(),ctx.translate(0,-1*radius),ctx.fillText(char,0,y),ctx.restore(),ctx.rotate(mertrics.width/radius)}ctx.restore()}}else ctx.rotate((view.startAngle+Math.PI/2+renderInfo.endAngle)/2),ctx.translate(0,-1*radius),this.renderLabel(label,{x:0,y:0});ctx.restore()},Label.prototype.circumference=element=>void 0!==element._view?element._view.circumference:element.circumference,Label.prototype.shouldRenderToElement=function(meta,element){return!meta.hidden&&!element.hidden&&(this.options.showZero||"polarArea"===this.chart.config.type?0!==element._view.outerRadius:0!==this.circumference(element))},Label.prototype.getLabel=function(dataset,element,index){var label;if("function"==typeof this.options.render)label=this.options.render({label:this.chart.config.data.labels[index],value:dataset.data[index],percentage:this.getPercentage(dataset,element,index),dataset:dataset,index:index});else switch(this.options.render){case"value":label=dataset.data[index];break;case"label":label=this.chart.config.data.labels[index];break;case"image":label=this.options.images[index]?this.loadImage(this.options.images[index]):"";break;default:label=this.getPercentage(dataset,element,index)+"%"}return"object"==typeof label?label=this.loadImage(label):null!=label&&(label=label.toString()),label},Label.prototype.getFontColor=function(dataset,element,index){var fontColor=this.options.fontColor;return"function"==typeof fontColor?fontColor=fontColor({label:this.chart.config.data.labels[index],value:dataset.data[index],percentage:this.getPercentage(dataset,element,index),backgroundColor:dataset.backgroundColor[index],dataset:dataset,index:index}):"string"!=typeof fontColor&&(fontColor=void 0!==fontColor?fontColor[index]:this.chart.config.options.defaultFontColor),fontColor},Label.prototype.getPercentage=function(dataset,element,index){if(null!==this.percentage)return this.percentage;var percentage;if("polarArea"===this.chart.config.type){if(null===this.total){this.total=0;for(var i=0;i<dataset.data.length;++i)this.total+=dataset.data[i]}percentage=dataset.data[index]/this.total*100}else if("bar"===this.chart.config.type){if(void 0===this.barTotal[index]){this.barTotal[index]=0;for(i=0;i<this.chart.data.datasets.length;++i)this.barTotal[index]+=this.chart.data.datasets[i].data[index]}percentage=dataset.data[index]/this.barTotal[index]*100}else percentage=this.circumference(element)/this.chart.config.options.circumference*100;return percentage=parseFloat(percentage.toFixed(this.options.precision)),this.options.showActualPercentages||("bar"===this.chart.config.type&&(this.totalPercentage=this.barTotalPercentage[index]||0),this.totalPercentage+=percentage,this.totalPercentage>100&&(percentage-=this.totalPercentage-100,percentage=parseFloat(percentage.toFixed(this.options.precision))),"bar"===this.chart.config.type&&(this.barTotalPercentage[index]=this.totalPercentage)),this.percentage=percentage,percentage},Label.prototype.getRenderInfo=function(element,label){return"bar"===this.chart.config.type?this.getBarRenderInfo(element,label):this.options.arc?this.getArcRenderInfo(element,label):this.getBaseRenderInfo(element,label)},Label.prototype.getBaseRenderInfo=function(element,label){if("outside"===this.options.position||"border"===this.options.position){var renderInfo,rangeFromCentre,view=element._view,centreAngle=view.startAngle+(view.endAngle-view.startAngle)/2,innerRadius=view.outerRadius/2;if("border"===this.options.position?rangeFromCentre=(view.outerRadius-innerRadius)/2+innerRadius:"outside"===this.options.position&&(rangeFromCentre=view.outerRadius-innerRadius+innerRadius+this.options.textMargin),renderInfo={x:view.x+Math.cos(centreAngle)*rangeFromCentre,y:view.y+Math.sin(centreAngle)*rangeFromCentre},"outside"===this.options.position){var offset=this.options.textMargin+this.measureLabel(label).width/2;renderInfo.x+=renderInfo.x<view.x?-offset:offset}return renderInfo}return element.tooltipPosition()},Label.prototype.getArcRenderInfo=function(element,label){var radius,view=element._view;radius="outside"===this.options.position?view.outerRadius+this.options.fontSize+this.options.textMargin:"border"===this.options.position?(view.outerRadius/2+view.outerRadius)/2:(view.innerRadius+view.outerRadius)/2;var startAngle=view.startAngle,endAngle=view.endAngle,totalAngle=endAngle-startAngle;return startAngle+=Math.PI/2,{radius:radius,startAngle:startAngle+=((endAngle+=Math.PI/2)-(this.measureLabel(label).width/radius+startAngle))/2,endAngle:endAngle,totalAngle:totalAngle,view:view}},Label.prototype.getBarRenderInfo=function(element,label){var renderInfo=element.tooltipPosition();return renderInfo.y-=this.measureLabel(label).height/2+this.options.textMargin,renderInfo},Label.prototype.drawable=function(element,label,renderInfo){if(this.options.overlap)return!0;if(this.options.arc)return renderInfo.endAngle-renderInfo.startAngle<=renderInfo.totalAngle;var mertrics=this.measureLabel(label),left=renderInfo.x-mertrics.width/2,right=renderInfo.x+mertrics.width/2,top=renderInfo.y-mertrics.height/2,bottom=renderInfo.y+mertrics.height/2;return"outside"===this.options.renderInfo?this.outsideInRange(left,right,top,bottom):element.inRange(left,top)&&element.inRange(left,bottom)&&element.inRange(right,top)&&element.inRange(right,bottom)},Label.prototype.outsideInRange=function(left,right,top,bottom){for(var labelBounds=this.labelBounds,i=0;i<labelBounds.length;++i){for(var bound=labelBounds[i],potins=[[left,top],[left,bottom],[right,top],[right,bottom]],j=0;j<potins.length;++j){var x=potins[j][0],y=potins[j][1];if(x>=bound.left&&x<=bound.right&&y>=bound.top&&y<=bound.bottom)return!1}potins=[[bound.left,bound.top],[bound.left,bound.bottom],[bound.right,bound.top],[bound.right,bound.bottom]];for(j=0;j<potins.length;++j){x=potins[j][0],y=potins[j][1];if(x>=left&&x<=right&&y>=top&&y<=bottom)return!1}}return labelBounds.push({left:left,right:right,top:top,bottom:bottom}),!0},Label.prototype.measureLabel=function(label){if("object"==typeof label)return{width:label.width,height:label.height};for(var width=0,lines=label.split("\n"),i=0;i<lines.length;++i){var result=this.ctx.measureText(lines[i]);result.width>width&&(width=result.width)}return{width:width,height:this.options.fontSize*lines.length}},Label.prototype.loadImage=function(obj){var image=new Image;return image.src=obj.src,image.width=obj.width,image.height=obj.height,image};const chartRegisterEventsData=config=>({id:"labels",beforeDatasetsUpdate:function(chart,options){if(SUPPORTED_TYPES[chart.config.type]){Array.isArray(options)||(options=[options]);var count=options.length;chart._labels&&count===chart._labels.length||(chart._labels=options.map((function(){return new Label})));for(var someOutside=!1,maxPadding=0,i=0;i<count;++i){var label=chart._labels[i];if(Object.assign(options[i],config),label.setup(chart,options[i]),"outside"===label.options.position){someOutside=!0;var padding=1.5*label.options.fontSize+label.options.outsidePadding;padding>maxPadding&&(maxPadding=padding)}}someOutside&&(chart.chartArea.top+=maxPadding,chart.chartArea.bottom-=maxPadding)}},afterDatasetUpdate:function(chart,args,options){SUPPORTED_TYPES[chart.config.type]&&chart._labels.forEach((function(label){label.args[args.index]=args}))},beforeDraw:function(chart){SUPPORTED_TYPES[chart.config.type]&&chart._labels.forEach((function(label){label.barTotalPercentage={}}))},afterDatasetsDraw:function(chart){SUPPORTED_TYPES[chart.config.type]&&chart._labels.forEach((function(label){label.render()}))}});return{registerPlugin:config=>chartRegisterEventsData(config)}}));

//# sourceMappingURL=chart-labels.min.js.map